#debuginfo not supported with Go
%global debug_package %{nil}
# modifying the Go binaries breaks the DWARF debugging
%global __os_install_post %{_rpmconfigdir}/brp-compress

%global gopath      %{_datadir}/gocode
%global import_path github.com/openshift/origin
# The following should only be used for cleanup of sdn-ovs upgrades
%global kube_plugin_path /usr/libexec/kubernetes/kubelet-plugins/net/exec/redhat~openshift-ovs-subnet

# docker_version is the version of docker requires by packages
%global docker_version 1.9.1
# tuned_version is the version of tuned requires by packages
%global tuned_version  2.3
# openvswitch_version is the version of openvswitch requires by packages
%global openvswitch_version 2.3.1
# this is the version we obsolete up to. The packaging changed for Origin
# 1.0.6 and OSE 3.1 such that 'openshift' package names were no longer used.
%global package_refector_version 3.0.2.900
%global golang_version 1.6.2
# %commit and %os_git_vars are intended to be set by tito custom builders provided
# in the .tito/lib directory. The values in this spec file will not be kept up to date.
%{!?commit:
%global commit 031cbe45b7da52e19f0c0fae235776b38024517f
}
%global shortcommit %(c=%{commit}; echo ${c:0:7})
# os_git_vars needed to run hack scripts during rpm builds
%{!?os_git_vars:
%global os_git_vars OS_GIT_TREE_STATE=clean OS_GIT_VERSION=v1.5.0 OS_GIT_COMMIT=%{shortcommit} OS_GIT_MAJOR=1 OS_GIT_MINOR=5
}

%if 0%{?fedora} || 0%{?epel}
%global need_redistributable_set 0
%else
# Due to library availability, redistributable builds only work on x86_64
%ifarch x86_64
%global need_redistributable_set 1
%else
%global need_redistributable_set 0
%endif
%endif
%{!?make_redistributable: %global make_redistributable %{need_redistributable_set}}

# by default build the test binaries for Origin
%{!?build_tests: %global build_tests 1 }

%if "%{dist}" == ".el7aos"
%global package_name atomic-openshift
%global product_name Atomic OpenShift
%else
%global package_name origin
%global product_name Origin
%endif

Name:           %{package_name}
# Version is not kept up to date and is intended to be set by tito custom
# builders provided in the .tito/lib directory of this project
Version:        1.5.0
Release:        1%{?dist}
Summary:        Open Source Container Management by Red Hat
License:        ASL 2.0
URL:            https://%{import_path}

# If go_arches not defined fall through to implicit golang archs
%if 0%{?go_arches:1}
ExclusiveArch:  %{go_arches}
%else
ExclusiveArch:  x86_64 aarch64 ppc64le s390x
%endif

# Current bug in golang which causes runtime error on armv7hl for the gendoc
# util which causes build failure because docs can not be generated.
#
#   https://bugzilla.redhat.com/show_bug.cgi?id=1445946
ExcludeArch: %{arm}

Source0:        https://%{import_path}/archive/%{commit}/%{name}-%{version}.tar.gz

# Patch to enable all build architectures
Patch0:         origin-1.5.0-platform-compile.patch

BuildRequires:  systemd
BuildRequires:  bsdtar
BuildRequires:  golang >= %{golang_version}
BuildRequires:  krb5-devel
BuildRequires:  rsync
Requires:       %{name}-clients = %{version}-%{release}
Requires:       iptables
Obsoletes:      openshift < %{package_refector_version}

#
# The following Bundled Provides entries are populated automatically by the
# OpenShift Origin tito custom builder found here:
#   https://github.com/openshift/origin/blob/master/.tito/lib/origin/builder/
#
# These are defined as per:
# https://fedoraproject.org/wiki/Packaging:Guidelines#Bundling_and_Duplication_of_system_libraries
#
Provides: bundled(golang(bitbucket.org/ww/goautoneg)) = 75cd24fc2f2c2a2088577d12123ddee5f54e0675
Provides: bundled(golang(cloud.google.com/go/compute/metadata)) = 3b1ae45394a234c385be014e9a488f2bb6eef821
Provides: bundled(golang(cloud.google.com/go/internal)) = 3b1ae45394a234c385be014e9a488f2bb6eef821
Provides: bundled(golang(github.com/AaronO/go-git-http)) = 34209cf6cd947cfa52063bcb0f6d43cfa50c5566
Provides: bundled(golang(github.com/AaronO/go-git-http/auth)) = 34209cf6cd947cfa52063bcb0f6d43cfa50c5566
Provides: bundled(golang(github.com/Azure/azure-sdk-for-go/arm/compute)) = 0984e0641ae43b89283223034574d6465be93bf4
Provides: bundled(golang(github.com/Azure/azure-sdk-for-go/arm/containerregistry)) = 0984e0641ae43b89283223034574d6465be93bf4
Provides: bundled(golang(github.com/Azure/azure-sdk-for-go/arm/network)) = 0984e0641ae43b89283223034574d6465be93bf4
Provides: bundled(golang(github.com/Azure/azure-sdk-for-go/arm/storage)) = 0984e0641ae43b89283223034574d6465be93bf4
Provides: bundled(golang(github.com/Azure/azure-sdk-for-go/storage)) = 0984e0641ae43b89283223034574d6465be93bf4
Provides: bundled(golang(github.com/Azure/go-ansiterm)) = 7e0a0b69f76673d5d2f451ee59d9d02cfa006527
Provides: bundled(golang(github.com/Azure/go-ansiterm/winterm)) = 7e0a0b69f76673d5d2f451ee59d9d02cfa006527
Provides: bundled(golang(github.com/Azure/go-autorest/autorest)) = e0c77ecbe74311e03f2a629834d2110f031f1453
Provides: bundled(golang(github.com/Azure/go-autorest/autorest/azure)) = e0c77ecbe74311e03f2a629834d2110f031f1453
Provides: bundled(golang(github.com/Azure/go-autorest/autorest/date)) = e0c77ecbe74311e03f2a629834d2110f031f1453
Provides: bundled(golang(github.com/Azure/go-autorest/autorest/to)) = e0c77ecbe74311e03f2a629834d2110f031f1453
Provides: bundled(golang(github.com/Azure/go-autorest/autorest/validation)) = e0c77ecbe74311e03f2a629834d2110f031f1453
Provides: bundled(golang(github.com/MakeNowJust/heredoc)) = 1d91351acdc1cb2f2c995864674b754134b86ca7
Provides: bundled(golang(github.com/Microsoft/go-winio)) = 24a3e3d3fc7451805e09d11e11e95d9a0a4f205e
Provides: bundled(golang(github.com/PuerkitoBio/purell)) = 8a290539e2e8629dbc4e6bad948158f790ec31f4
Provides: bundled(golang(github.com/PuerkitoBio/urlesc)) = 5bd2802263f21d8788851d5305584c82a5c75d7e
Provides: bundled(golang(github.com/RangelReale/osin)) = 1c1a533224dd9c631fdd8df8851b167d24cabe96
Provides: bundled(golang(github.com/RangelReale/osincli)) = fababb0555f21315d1a34af6615a16eaab44396b
Provides: bundled(golang(github.com/Sirupsen/logrus)) = aaf92c95712104318fc35409745f1533aa5ff327
Provides: bundled(golang(github.com/Sirupsen/logrus/formatters/logstash)) = aaf92c95712104318fc35409745f1533aa5ff327
Provides: bundled(golang(github.com/abbot/go-http-auth)) = c0ef4539dfab4d21c8ef20ba2924f9fc6f186d35
Provides: bundled(golang(github.com/apcera/gssapi)) = b28cfdd5220f7ebe15d8372ac81a7f41cc35ab32
Provides: bundled(golang(github.com/appc/spec/schema)) = ab50d12e88f57788bf84b83fef2be236eb1fcc0b
Provides: bundled(golang(github.com/appc/spec/schema/common)) = ab50d12e88f57788bf84b83fef2be236eb1fcc0b
Provides: bundled(golang(github.com/appc/spec/schema/types)) = ab50d12e88f57788bf84b83fef2be236eb1fcc0b
Provides: bundled(golang(github.com/asaskevich/govalidator)) = 593d64559f7600f29581a3ee42177f5dbded27a9
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/awserr)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/awsutil)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/client)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/client/metadata)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/corehandlers)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/credentials)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/credentials/ec2rolecreds)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/defaults)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/ec2metadata)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/request)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/aws/session)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/endpoints)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/ec2query)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/json/jsonutil)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/jsonrpc)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/query)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/query/queryutil)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/rest)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/restxml)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/protocol/xml/xmlutil)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/signer/v4)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/private/waiter)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/autoscaling)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/cloudfront/sign)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/ec2)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/ecr)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/elb)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/aws/aws-sdk-go/service/s3)) = c924893c38ecc04b18d7aab8a7aa561cb8b4c4cc
Provides: bundled(golang(github.com/beorn7/perks/quantile)) = 3ac7bf7a47d159a033b107610db8a1b6575507a4
Provides: bundled(golang(github.com/blang/semver)) = 31b736133b98f26d5e078ec9eb591666edfd091f
Provides: bundled(golang(github.com/boltdb/bolt)) = dfb21201d9270c1082d5fb0f07f500311ff72f18
Provides: bundled(golang(github.com/cloudflare/cfssl/auth)) = fca70798646c8689aeae5928d4ad1278ff8a3c17
Provides: bundled(golang(github.com/cloudflare/cfssl/certdb)) = fca70798646c8689aeae5928d4ad1278ff8a3c17
Provides: bundled(golang(github.com/cloudflare/cfssl/config)) = fca70798646c8689aeae5928d4ad1278ff8a3c17
Provides: bundled(golang(github.com/cloudflare/cfssl/crypto/pkcs7)) = fca70798646c8689aeae5928d4ad1278ff8a3c17
Provides: bundled(golang(github.com/cloudflare/cfssl/csr)) = fca70798646c8689aeae5928d4ad1278ff8a3c17
Provides: bundled(golang(github.com/cloudflare/cfssl/errors)) = fca70798646c8689aeae5928d4ad1278ff8a3c17
Provides: bundled(golang(github.com/cloudflare/cfssl/helpers)) = fca70798646c8689aeae5928d4ad1278ff8a3c17
Provides: bundled(golang(github.com/cloudflare/cfssl/helpers/derhelpers)) = fca70798646c8689aeae5928d4ad1278ff8a3c17
Provides: bundled(golang(github.com/cloudflare/cfssl/info)) = fca70798646c8689aeae5928d4ad1278ff8a3c17
Provides: bundled(golang(github.com/cloudflare/cfssl/log)) = fca70798646c8689aeae5928d4ad1278ff8a3c17
Provides: bundled(golang(github.com/cloudflare/cfssl/ocsp/config)) = fca70798646c8689aeae5928d4ad1278ff8a3c17
Provides: bundled(golang(github.com/cloudflare/cfssl/signer)) = fca70798646c8689aeae5928d4ad1278ff8a3c17
Provides: bundled(golang(github.com/cloudflare/cfssl/signer/local)) = fca70798646c8689aeae5928d4ad1278ff8a3c17
Provides: bundled(golang(github.com/clusterhq/flocker-go)) = 2b8b7259d3139c96c4a6871031355808ab3fd3b3
Provides: bundled(golang(github.com/cockroachdb/cmux)) = 3bbbe9847675a1300cce193d9efe458b9f0bdd23
Provides: bundled(golang(github.com/codegangsta/negroni)) = 8d75e11374a1928608c906fe745b538483e7aeb2
Provides: bundled(golang(github.com/containernetworking/cni/libcni)) = 52e4358cbd540cc31f72ea5e0bd4762c98011b84
Provides: bundled(golang(github.com/containernetworking/cni/pkg/invoke)) = 52e4358cbd540cc31f72ea5e0bd4762c98011b84
Provides: bundled(golang(github.com/containernetworking/cni/pkg/ip)) = 52e4358cbd540cc31f72ea5e0bd4762c98011b84
Provides: bundled(golang(github.com/containernetworking/cni/pkg/ipam)) = 52e4358cbd540cc31f72ea5e0bd4762c98011b84
Provides: bundled(golang(github.com/containernetworking/cni/pkg/ns)) = 52e4358cbd540cc31f72ea5e0bd4762c98011b84
Provides: bundled(golang(github.com/containernetworking/cni/pkg/skel)) = 52e4358cbd540cc31f72ea5e0bd4762c98011b84
Provides: bundled(golang(github.com/containernetworking/cni/pkg/types)) = 52e4358cbd540cc31f72ea5e0bd4762c98011b84
Provides: bundled(golang(github.com/containernetworking/cni/pkg/utils/hwaddr)) = 52e4358cbd540cc31f72ea5e0bd4762c98011b84
Provides: bundled(golang(github.com/containernetworking/cni/pkg/version)) = 52e4358cbd540cc31f72ea5e0bd4762c98011b84
Provides: bundled(golang(github.com/containernetworking/cni/plugins/ipam/host-local)) = 52e4358cbd540cc31f72ea5e0bd4762c98011b84
Provides: bundled(golang(github.com/containernetworking/cni/plugins/ipam/host-local/backend)) = 52e4358cbd540cc31f72ea5e0bd4762c98011b84
Provides: bundled(golang(github.com/containernetworking/cni/plugins/ipam/host-local/backend/disk)) = 52e4358cbd540cc31f72ea5e0bd4762c98011b84
Provides: bundled(golang(github.com/containernetworking/cni/plugins/ipam/host-local/backend/testing)) = 52e4358cbd540cc31f72ea5e0bd4762c98011b84
Provides: bundled(golang(github.com/containernetworking/cni/plugins/main/loopback)) = 52e4358cbd540cc31f72ea5e0bd4762c98011b84
Provides: bundled(golang(github.com/coreos/etcd/alarm)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/auth)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/auth/authpb)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/client)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/clientv3)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/compactor)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/discovery)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/embed)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/error)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/etcdserver)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/etcdserver/api)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/etcdserver/api/v2http)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/etcdserver/api/v2http/httptypes)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/etcdserver/api/v3rpc)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/etcdserver/api/v3rpc/rpctypes)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/etcdserver/auth)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/etcdserver/etcdserverpb)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/etcdserver/membership)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/etcdserver/stats)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/integration)) = 83347907774bf36cbb261c594a32fd7b0f5dd9f6
Provides: bundled(golang(github.com/coreos/etcd/lease)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/lease/leasehttp)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/lease/leasepb)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/mvcc)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/mvcc/backend)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/mvcc/mvccpb)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/adt)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/contention)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/cors)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/crc)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/fileutil)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/httputil)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/idutil)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/ioutil)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/logutil)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/netutil)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/osutil)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/pathutil)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/pbutil)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/runtime)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/schedule)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/testutil)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/tlsutil)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/transport)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/types)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/pkg/wait)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/proxy/grpcproxy)) = 83347907774bf36cbb261c594a32fd7b0f5dd9f6
Provides: bundled(golang(github.com/coreos/etcd/proxy/grpcproxy/cache)) = 83347907774bf36cbb261c594a32fd7b0f5dd9f6
Provides: bundled(golang(github.com/coreos/etcd/raft)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/raft/raftpb)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/rafthttp)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/snap)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/snap/snappb)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/store)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/version)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/wal)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/etcd/wal/walpb)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/coreos/go-iptables/iptables)) = fbb73372b87f6e89951c2b6b31470c2c9d5cfae3
Provides: bundled(golang(github.com/coreos/go-oidc/http)) = 5644a2f50e2d2d5ba0b474bc5bc55fea1925936d
Provides: bundled(golang(github.com/coreos/go-oidc/jose)) = 5644a2f50e2d2d5ba0b474bc5bc55fea1925936d
Provides: bundled(golang(github.com/coreos/go-oidc/key)) = 5644a2f50e2d2d5ba0b474bc5bc55fea1925936d
Provides: bundled(golang(github.com/coreos/go-oidc/oauth2)) = 5644a2f50e2d2d5ba0b474bc5bc55fea1925936d
Provides: bundled(golang(github.com/coreos/go-oidc/oidc)) = 5644a2f50e2d2d5ba0b474bc5bc55fea1925936d
Provides: bundled(golang(github.com/coreos/go-semver/semver)) = d043ae190b3202550d026daf009359bb5d761672
Provides: bundled(golang(github.com/coreos/go-systemd/daemon)) = 4484981625c1a6a2ecb40a390fcb6a9bcfee76e3
Provides: bundled(golang(github.com/coreos/go-systemd/dbus)) = 4484981625c1a6a2ecb40a390fcb6a9bcfee76e3
Provides: bundled(golang(github.com/coreos/go-systemd/journal)) = 4484981625c1a6a2ecb40a390fcb6a9bcfee76e3
Provides: bundled(golang(github.com/coreos/go-systemd/unit)) = 4484981625c1a6a2ecb40a390fcb6a9bcfee76e3
Provides: bundled(golang(github.com/coreos/go-systemd/util)) = 4484981625c1a6a2ecb40a390fcb6a9bcfee76e3
Provides: bundled(golang(github.com/coreos/pkg/capnslog)) = fa29b1d70f0beaddd4c7021607cc3c3be8ce94b8
Provides: bundled(golang(github.com/coreos/pkg/dlopen)) = fa29b1d70f0beaddd4c7021607cc3c3be8ce94b8
Provides: bundled(golang(github.com/coreos/pkg/health)) = fa29b1d70f0beaddd4c7021607cc3c3be8ce94b8
Provides: bundled(golang(github.com/coreos/pkg/httputil)) = fa29b1d70f0beaddd4c7021607cc3c3be8ce94b8
Provides: bundled(golang(github.com/coreos/pkg/timeutil)) = fa29b1d70f0beaddd4c7021607cc3c3be8ce94b8
Provides: bundled(golang(github.com/coreos/rkt/api/v1alpha)) = a83419be28ac626876f94a28b4df2dbc9eac7448
Provides: bundled(golang(github.com/davecgh/go-spew/spew)) = 5215b55f46b2b919f50a1df0eaa5886afe4e3b3d
Provides: bundled(golang(github.com/daviddengcn/go-colortext)) = 511bcaf42ccd42c38aba7427b6673277bf19e2a1
Provides: bundled(golang(github.com/denverdino/aliyungo/common)) = 6670d44234961c0ca4c377c6b6270c3594ceb386
Provides: bundled(golang(github.com/denverdino/aliyungo/oss)) = 6670d44234961c0ca4c377c6b6270c3594ceb386
Provides: bundled(golang(github.com/denverdino/aliyungo/util)) = 6670d44234961c0ca4c377c6b6270c3594ceb386
Provides: bundled(golang(github.com/dgrijalva/jwt-go)) = 01aeca54ebda6e0fbfafd0a524d234159c05ec20
Provides: bundled(golang(github.com/docker/distribution)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/configuration)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/context)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/digest)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/health)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/health/checks)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/manifest)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/manifest/manifestlist)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/manifest/schema1)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/manifest/schema2)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/notifications)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/reference)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/api/errcode)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/api/v2)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/auth)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/auth/htpasswd)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/auth/token)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/client)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/client/auth)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/client/transport)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/handlers)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/middleware/registry)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/middleware/repository)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/proxy)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/proxy/scheduler)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/storage)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/storage/cache)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/storage/cache/memory)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/storage/cache/redis)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/azure)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/base)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/factory)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/filesystem)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/gcs)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/inmemory)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/middleware)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/middleware/cloudfront)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/oss)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/s3-aws)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/swift)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/registry/storage/driver/testsuites)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/testutil)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/uuid)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/distribution/version)) = 12acdf0a6c1e56d965ac6eb395d2bce687bf22fc
Provides: bundled(golang(github.com/docker/docker/builder/dockerfile/command)) = b9f10c951893f9a00865890a5232e85d770c1087
Provides: bundled(golang(github.com/docker/docker/builder/dockerfile/parser)) = b9f10c951893f9a00865890a5232e85d770c1087
Provides: bundled(golang(github.com/docker/docker/cliconfig)) = b9f10c951893f9a00865890a5232e85d770c1087
Provides: bundled(golang(github.com/docker/docker/pkg/homedir)) = b9f10c951893f9a00865890a5232e85d770c1087
Provides: bundled(golang(github.com/docker/docker/pkg/jsonlog)) = b9f10c951893f9a00865890a5232e85d770c1087
Provides: bundled(golang(github.com/docker/docker/pkg/jsonmessage)) = b9f10c951893f9a00865890a5232e85d770c1087
Provides: bundled(golang(github.com/docker/docker/pkg/longpath)) = b9f10c951893f9a00865890a5232e85d770c1087
Provides: bundled(golang(github.com/docker/docker/pkg/mount)) = b9f10c951893f9a00865890a5232e85d770c1087
Provides: bundled(golang(github.com/docker/docker/pkg/stdcopy)) = b9f10c951893f9a00865890a5232e85d770c1087
Provides: bundled(golang(github.com/docker/docker/pkg/symlink)) = b9f10c951893f9a00865890a5232e85d770c1087
Provides: bundled(golang(github.com/docker/docker/pkg/system)) = b9f10c951893f9a00865890a5232e85d770c1087
Provides: bundled(golang(github.com/docker/docker/pkg/term)) = b9f10c951893f9a00865890a5232e85d770c1087
Provides: bundled(golang(github.com/docker/docker/pkg/term/windows)) = b9f10c951893f9a00865890a5232e85d770c1087
Provides: bundled(golang(github.com/docker/engine-api/client)) = dea108d3aa0c67d7162a3fd8aa65f38a430019fd
Provides: bundled(golang(github.com/docker/engine-api/client/transport)) = dea108d3aa0c67d7162a3fd8aa65f38a430019fd
Provides: bundled(golang(github.com/docker/engine-api/client/transport/cancellable)) = dea108d3aa0c67d7162a3fd8aa65f38a430019fd
Provides: bundled(golang(github.com/docker/engine-api/types)) = dea108d3aa0c67d7162a3fd8aa65f38a430019fd
Provides: bundled(golang(github.com/docker/engine-api/types/blkiodev)) = dea108d3aa0c67d7162a3fd8aa65f38a430019fd
Provides: bundled(golang(github.com/docker/engine-api/types/container)) = dea108d3aa0c67d7162a3fd8aa65f38a430019fd
Provides: bundled(golang(github.com/docker/engine-api/types/filters)) = dea108d3aa0c67d7162a3fd8aa65f38a430019fd
Provides: bundled(golang(github.com/docker/engine-api/types/network)) = dea108d3aa0c67d7162a3fd8aa65f38a430019fd
Provides: bundled(golang(github.com/docker/engine-api/types/reference)) = dea108d3aa0c67d7162a3fd8aa65f38a430019fd
Provides: bundled(golang(github.com/docker/engine-api/types/registry)) = dea108d3aa0c67d7162a3fd8aa65f38a430019fd
Provides: bundled(golang(github.com/docker/engine-api/types/strslice)) = dea108d3aa0c67d7162a3fd8aa65f38a430019fd
Provides: bundled(golang(github.com/docker/engine-api/types/time)) = dea108d3aa0c67d7162a3fd8aa65f38a430019fd
Provides: bundled(golang(github.com/docker/engine-api/types/versions)) = dea108d3aa0c67d7162a3fd8aa65f38a430019fd
Provides: bundled(golang(github.com/docker/go-connections/nat)) = f549a9393d05688dff0992ef3efd8bbe6c628aeb
Provides: bundled(golang(github.com/docker/go-connections/sockets)) = f549a9393d05688dff0992ef3efd8bbe6c628aeb
Provides: bundled(golang(github.com/docker/go-connections/tlsconfig)) = f549a9393d05688dff0992ef3efd8bbe6c628aeb
Provides: bundled(golang(github.com/docker/go-units)) = e30f1e79f3cd72542f2026ceec18d3bd67ab859c
Provides: bundled(golang(github.com/docker/libtrust)) = c54fbb67c1f1e68d7d6f8d2ad7c9360404616a41
Provides: bundled(golang(github.com/docker/spdystream)) = 449fdfce4d962303d702fec724ef0ad181c92528
Provides: bundled(golang(github.com/docker/spdystream/spdy)) = 449fdfce4d962303d702fec724ef0ad181c92528
Provides: bundled(golang(github.com/elazarl/go-bindata-assetfs)) = 3dcc96556217539f50599357fb481ac0dc7439b9
Provides: bundled(golang(github.com/elazarl/goproxy)) = 07b16b6e30fcac0ad8c0435548e743bcf2ca7e92
Provides: bundled(golang(github.com/elazarl/goproxy/ext/image)) = 07b16b6e30fcac0ad8c0435548e743bcf2ca7e92
Provides: bundled(golang(github.com/elazarl/goproxy/regretable)) = 07b16b6e30fcac0ad8c0435548e743bcf2ca7e92
Provides: bundled(golang(github.com/emicklei/go-restful)) = 89ef8af493ab468a45a42bb0d89a06fccdd2fb22
Provides: bundled(golang(github.com/emicklei/go-restful/log)) = 89ef8af493ab468a45a42bb0d89a06fccdd2fb22
Provides: bundled(golang(github.com/emicklei/go-restful/swagger)) = 89ef8af493ab468a45a42bb0d89a06fccdd2fb22
Provides: bundled(golang(github.com/evanphx/json-patch)) = 465937c80b3c07a7c7ad20cc934898646a91c1de
Provides: bundled(golang(github.com/exponent-io/jsonpath)) = d6023ce2651d8eafb5c75bb0c7167536102ec9f5
Provides: bundled(golang(github.com/flynn/go-shlex)) = 3f9db97f856818214da2e1057f8ad84803971cff
Provides: bundled(golang(github.com/fsnotify/fsnotify)) = f12c6236fe7b5cf6bcf30e5935d08cb079d78334
Provides: bundled(golang(github.com/fsouza/go-dockerclient)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/Sirupsen/logrus)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/opts)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/archive)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/fileutils)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/homedir)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/idtools)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/ioutils)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/longpath)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/pools)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/promise)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/stdcopy)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/docker/pkg/system)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/docker/go-units)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/hashicorp/go-cleanhttp)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/github.com/opencontainers/runc/libcontainer/user)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/golang.org/x/net/context)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/fsouza/go-dockerclient/external/golang.org/x/sys/unix)) = bf97c77db7c945cbcdbf09d56c6f87a66f54537b
Provides: bundled(golang(github.com/garyburd/redigo/internal)) = b8dc90050f24c1a73a52f107f3f575be67b21b7c
Provides: bundled(golang(github.com/garyburd/redigo/redis)) = b8dc90050f24c1a73a52f107f3f575be67b21b7c
Provides: bundled(golang(github.com/getsentry/raven-go)) = 86cd4063c535cbbcbf43d84424dbd5911ab1b818
Provides: bundled(golang(github.com/ghodss/yaml)) = 73d445a93680fa1a78ae23a5839bad48f32ba1ee
Provides: bundled(golang(github.com/go-ini/ini)) = 2e44421e256d82ebbf3d4d4fcabe8930b905eff3
Provides: bundled(golang(github.com/go-openapi/analysis)) = b44dc874b601d9e4e2f6e19140e794ba24bead3b
Provides: bundled(golang(github.com/go-openapi/errors)) = d24ebc2075bad502fac3a8ae27aa6dd58e1952dc
Provides: bundled(golang(github.com/go-openapi/jsonpointer)) = 46af16f9f7b149af66e5d1bd010e3574dc06de98
Provides: bundled(golang(github.com/go-openapi/jsonreference)) = 13c6e3589ad90f49bd3e3bbe2c2cb3d7a4142272
Provides: bundled(golang(github.com/go-openapi/loads)) = 18441dfa706d924a39a030ee2c3b1d8d81917b38
Provides: bundled(golang(github.com/go-openapi/runtime)) = 11e322eeecc1032d5a0a96c566ed53f2b5c26e22
Provides: bundled(golang(github.com/go-openapi/spec)) = 6aced65f8501fe1217321abf0749d354824ba2ff
Provides: bundled(golang(github.com/go-openapi/strfmt)) = d65c7fdb29eca313476e529628176fe17e58c488
Provides: bundled(golang(github.com/go-openapi/swag)) = 1d0bd113de87027671077d3c71eb3ac5d7dbba72
Provides: bundled(golang(github.com/go-openapi/validate)) = deaf2c9013bc1a7f4c774662259a506ba874d80f
Provides: bundled(golang(github.com/godbus/dbus)) = c7fdd8b5cd55e87b4e1f4e372cdb1db61dd6c66f
Provides: bundled(golang(github.com/gogo/protobuf/gogoproto)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/plugin/compare)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/plugin/defaultcheck)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/plugin/description)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/plugin/embedcheck)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/plugin/enumstringer)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/plugin/equal)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/plugin/face)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/plugin/gostring)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/plugin/marshalto)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/plugin/oneofcheck)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/plugin/populate)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/plugin/size)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/plugin/stringer)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/plugin/testgen)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/plugin/union)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/plugin/unmarshal)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/proto)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/protoc-gen-gogo/descriptor)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/protoc-gen-gogo/generator)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/protoc-gen-gogo/grpc)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/protoc-gen-gogo/plugin)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/sortkeys)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/vanity)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/gogo/protobuf/vanity/command)) = e18d7aa8f8c624c915db340349aad4c49b10d173
Provides: bundled(golang(github.com/golang/glog)) = 44145f04b68cf362d9c4df2182967c2275eaefed
Provides: bundled(golang(github.com/golang/groupcache/lru)) = 02826c3e79038b59d737d3b1c0a1d937f71a4433
Provides: bundled(golang(github.com/golang/mock/gomock)) = bd3c8e81be01eef76d4b503f5e687d2d1354d2d9
Provides: bundled(golang(github.com/golang/mock/gomock/mock_matcher)) = bd3c8e81be01eef76d4b503f5e687d2d1354d2d9
Provides: bundled(golang(github.com/golang/protobuf/jsonpb)) = 8616e8ee5e20a1704615e6c8d7afcdac06087a67
Provides: bundled(golang(github.com/golang/protobuf/proto)) = 8616e8ee5e20a1704615e6c8d7afcdac06087a67
Provides: bundled(golang(github.com/gonum/blas)) = 80dca99229cccca259b550ae3f755cf79c65a224
Provides: bundled(golang(github.com/gonum/blas/blas64)) = 80dca99229cccca259b550ae3f755cf79c65a224
Provides: bundled(golang(github.com/gonum/blas/native)) = 80dca99229cccca259b550ae3f755cf79c65a224
Provides: bundled(golang(github.com/gonum/blas/native/internal/math32)) = 80dca99229cccca259b550ae3f755cf79c65a224
Provides: bundled(golang(github.com/gonum/graph)) = bde6d0fbd9dec5a997e906611fe0364001364c41
Provides: bundled(golang(github.com/gonum/graph/concrete)) = bde6d0fbd9dec5a997e906611fe0364001364c41
Provides: bundled(golang(github.com/gonum/graph/encoding/dot)) = bde6d0fbd9dec5a997e906611fe0364001364c41
Provides: bundled(golang(github.com/gonum/graph/internal)) = bde6d0fbd9dec5a997e906611fe0364001364c41
Provides: bundled(golang(github.com/gonum/graph/path)) = bde6d0fbd9dec5a997e906611fe0364001364c41
Provides: bundled(golang(github.com/gonum/graph/topo)) = bde6d0fbd9dec5a997e906611fe0364001364c41
Provides: bundled(golang(github.com/gonum/graph/traverse)) = bde6d0fbd9dec5a997e906611fe0364001364c41
Provides: bundled(golang(github.com/gonum/internal/asm)) = 5b84ddfb9d3e72d73b8de858c97650be140935c0
Provides: bundled(golang(github.com/gonum/lapack)) = 88ec467285859a6cd23900147d250a8af1f38b10
Provides: bundled(golang(github.com/gonum/lapack/lapack64)) = 88ec467285859a6cd23900147d250a8af1f38b10
Provides: bundled(golang(github.com/gonum/lapack/native)) = 88ec467285859a6cd23900147d250a8af1f38b10
Provides: bundled(golang(github.com/gonum/matrix/mat64)) = fb1396264e2e259ff714a408a7b0142d238b198d
Provides: bundled(golang(github.com/google/btree)) = 7d79101e329e5a3adf994758c578dab82b90c017
Provides: bundled(golang(github.com/google/cadvisor/api)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/cache/memory)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/collector)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/container)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/container/common)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/container/docker)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/container/libcontainer)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/container/raw)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/container/rkt)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/container/systemd)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/devicemapper)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/events)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/fs)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/healthz)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/http)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/http/mux)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/info/v1)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/info/v2)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/machine)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/manager)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/manager/watcher)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/manager/watcher/raw)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/manager/watcher/rkt)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/metrics)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/pages)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/pages/static)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/storage)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/summary)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/utils)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/utils/cloudinfo)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/utils/cpuload)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/utils/cpuload/netlink)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/utils/docker)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/utils/oomparser)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/utils/sysfs)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/utils/sysinfo)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/utils/tail)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/validate)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/cadvisor/version)) = a726d13de8cb32860e73d72a78dc8e0124267709
Provides: bundled(golang(github.com/google/certificate-transparency/go)) = a85d8bf28a950826bf6bc0693caf384ab4c6bec9
Provides: bundled(golang(github.com/google/certificate-transparency/go/asn1)) = a85d8bf28a950826bf6bc0693caf384ab4c6bec9
Provides: bundled(golang(github.com/google/certificate-transparency/go/client)) = a85d8bf28a950826bf6bc0693caf384ab4c6bec9
Provides: bundled(golang(github.com/google/certificate-transparency/go/x509)) = a85d8bf28a950826bf6bc0693caf384ab4c6bec9
Provides: bundled(golang(github.com/google/certificate-transparency/go/x509/pkix)) = a85d8bf28a950826bf6bc0693caf384ab4c6bec9
Provides: bundled(golang(github.com/google/gofuzz)) = bbcb9da2d746f8bdbd6a936686a0a6067ada0ec5
Provides: bundled(golang(github.com/gorilla/context)) = 215affda49addc4c8ef7e2534915df2c8c35c6cd
Provides: bundled(golang(github.com/gorilla/handlers)) = 4ef72b2795a418935d497c8db213080be06f8850
Provides: bundled(golang(github.com/gorilla/mux)) = 8096f47503459bcc74d1f4c487b7e6e42e5746b5
Provides: bundled(golang(github.com/gorilla/securecookie)) = 1b0c7f6e9ab3d7f500fd7d50c7ad835ff428139b
Provides: bundled(golang(github.com/gorilla/sessions)) = aa5e036e6c44aec69a32eb41097001978b29ad31
Provides: bundled(golang(github.com/grpc-ecosystem/grpc-gateway/runtime)) = f52d055dc48aec25854ed7d31862f78913cf17d1
Provides: bundled(golang(github.com/grpc-ecosystem/grpc-gateway/runtime/internal)) = f52d055dc48aec25854ed7d31862f78913cf17d1
Provides: bundled(golang(github.com/grpc-ecosystem/grpc-gateway/utilities)) = f52d055dc48aec25854ed7d31862f78913cf17d1
Provides: bundled(golang(github.com/grpc-ecosystem/go-grpc-prometheus)) = 6b7015e65d366bf3f19b2b2a000a831940f0f7e0
Provides: bundled(golang(github.com/hashicorp/golang-lru)) = a0d98a5f288019575c6d1f4bb1573fef2d1fcdc4
Provides: bundled(golang(github.com/hashicorp/golang-lru/simplelru)) = a0d98a5f288019575c6d1f4bb1573fef2d1fcdc4
Provides: bundled(golang(github.com/hashicorp/hcl)) = d8c773c4cba11b11539e3d45f93daeaa5dcf1fa1
Provides: bundled(golang(github.com/hashicorp/hcl/hcl/ast)) = d8c773c4cba11b11539e3d45f93daeaa5dcf1fa1
Provides: bundled(golang(github.com/hashicorp/hcl/hcl/parser)) = d8c773c4cba11b11539e3d45f93daeaa5dcf1fa1
Provides: bundled(golang(github.com/hashicorp/hcl/hcl/scanner)) = d8c773c4cba11b11539e3d45f93daeaa5dcf1fa1
Provides: bundled(golang(github.com/hashicorp/hcl/hcl/strconv)) = d8c773c4cba11b11539e3d45f93daeaa5dcf1fa1
Provides: bundled(golang(github.com/hashicorp/hcl/hcl/token)) = d8c773c4cba11b11539e3d45f93daeaa5dcf1fa1
Provides: bundled(golang(github.com/hashicorp/hcl/json/parser)) = d8c773c4cba11b11539e3d45f93daeaa5dcf1fa1
Provides: bundled(golang(github.com/hashicorp/hcl/json/scanner)) = d8c773c4cba11b11539e3d45f93daeaa5dcf1fa1
Provides: bundled(golang(github.com/hashicorp/hcl/json/token)) = d8c773c4cba11b11539e3d45f93daeaa5dcf1fa1
Provides: bundled(golang(github.com/hawkular/hawkular-client-go/metrics)) = 1d46ce7e1eca635f372357a8ccbf1fa7cc28b7d2
Provides: bundled(golang(github.com/heketi/heketi/client/api/go-client)) = 28b5cc4cc6d2b9bdfa91ed1b93efaab4931aa697
Provides: bundled(golang(github.com/heketi/heketi/pkg/glusterfs/api)) = 28b5cc4cc6d2b9bdfa91ed1b93efaab4931aa697
Provides: bundled(golang(github.com/heketi/heketi/pkg/utils)) = 28b5cc4cc6d2b9bdfa91ed1b93efaab4931aa697
Provides: bundled(golang(github.com/howeyc/gopass)) = 3ca23474a7c7203e0a0a070fd33508f6efdb9b3d
Provides: bundled(golang(github.com/imdario/mergo)) = 6633656539c1639d9d78127b7d47c622b5d7b6dc
Provides: bundled(golang(github.com/inconshreveable/mousetrap)) = 76626ae9c91c4f2a10f34cad8ce83ea42c93bb75
Provides: bundled(golang(github.com/influxdata/influxdb/client)) = 383332daed5595926c235f250b11433f67229c35
Provides: bundled(golang(github.com/influxdata/influxdb/models)) = 383332daed5595926c235f250b11433f67229c35
Provides: bundled(golang(github.com/influxdata/influxdb/pkg/escape)) = 383332daed5595926c235f250b11433f67229c35
Provides: bundled(golang(github.com/jmespath/go-jmespath)) = 3433f3ea46d9f8019119e7dd41274e112a2359a9
Provides: bundled(golang(github.com/joho/godotenv)) = 4ed13390c0acd2ff4e371e64d8b97c8954138243
Provides: bundled(golang(github.com/joho/godotenv/autoload)) = 4ed13390c0acd2ff4e371e64d8b97c8954138243
Provides: bundled(golang(github.com/joho/godotenv/cmd/godotenv)) = 4ed13390c0acd2ff4e371e64d8b97c8954138243
Provides: bundled(golang(github.com/jonboulle/clockwork)) = 3f831b65b61282ba6bece21b91beea2edc4c887a
Provides: bundled(golang(github.com/jteeuwen/go-bindata)) = a0ff2567cfb70903282db057e799fd826784d41d
Provides: bundled(golang(github.com/jteeuwen/go-bindata/go-bindata)) = a0ff2567cfb70903282db057e799fd826784d41d
Provides: bundled(golang(github.com/juju/ratelimit)) = 77ed1c8a01217656d2080ad51981f6e99adaa177
Provides: bundled(golang(github.com/kr/fs)) = 2788f0dbd16903de03cb8186e5c7d97b69ad387b
Provides: bundled(golang(github.com/kr/pty)) = f7ee69f31298ecbe5d2b349c711e2547a617d398
Provides: bundled(golang(github.com/lpabon/godbc)) = 9577782540c1398b710ddae1b86268ba03a19b0c
Provides: bundled(golang(github.com/magiconair/properties)) = 61b492c03cf472e0c6419be5899b8e0dc28b1b88
Provides: bundled(golang(github.com/mailru/easyjson/buffer)) = e978125a7e335d8f4db746a9ac5b44643f27416b
Provides: bundled(golang(github.com/mailru/easyjson/jlexer)) = e978125a7e335d8f4db746a9ac5b44643f27416b
Provides: bundled(golang(github.com/mailru/easyjson/jwriter)) = e978125a7e335d8f4db746a9ac5b44643f27416b
Provides: bundled(golang(github.com/matttproud/golang_protobuf_extensions/pbutil)) = fc2b8d3a73c4867e51861bbdd5ae3c1f0869dd6a
Provides: bundled(golang(github.com/mesos/mesos-go/detector)) = 45c8b08e9af666add36a6f93ff8c1c75812367b0
Provides: bundled(golang(github.com/mesos/mesos-go/detector/zoo)) = 45c8b08e9af666add36a6f93ff8c1c75812367b0
Provides: bundled(golang(github.com/mesos/mesos-go/mesosproto)) = 45c8b08e9af666add36a6f93ff8c1c75812367b0
Provides: bundled(golang(github.com/mesos/mesos-go/mesosutil)) = 45c8b08e9af666add36a6f93ff8c1c75812367b0
Provides: bundled(golang(github.com/mesos/mesos-go/upid)) = 45c8b08e9af666add36a6f93ff8c1c75812367b0
Provides: bundled(golang(github.com/miekg/dns)) = 5d001d020961ae1c184f9f8152fdc73810481677
Provides: bundled(golang(github.com/mistifyio/go-zfs)) = 1b4ae6fb4e77b095934d4430860ff202060169f8
Provides: bundled(golang(github.com/mitchellh/go-wordwrap)) = ad45545899c7b13c020ea92b2072220eefad42b8
Provides: bundled(golang(github.com/mitchellh/mapstructure)) = 740c764bc6149d3f1806231418adb9f52c11bcbf
Provides: bundled(golang(github.com/mreiferson/go-httpclient)) = 31f0106b4474f14bc441575c19d3a5fa21aa1f6c
Provides: bundled(golang(github.com/mxk/go-flowrate/flowrate)) = cca7078d478f8520f85629ad7c68962d31ed7682
Provides: bundled(golang(github.com/ncw/swift)) = c54732e87b0b283d1baf0a18db689d0aea460ba3
Provides: bundled(golang(github.com/ncw/swift/swifttest)) = c54732e87b0b283d1baf0a18db689d0aea460ba3
Provides: bundled(golang(github.com/onsi/ginkgo)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/config)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/ginkgo)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/ginkgo/convert)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/ginkgo/interrupthandler)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/ginkgo/nodot)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/ginkgo/testrunner)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/ginkgo/testsuite)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/ginkgo/watch)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/internal/codelocation)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/internal/containernode)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/internal/failer)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/internal/leafnodes)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/internal/remote)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/internal/spec)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/internal/specrunner)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/internal/suite)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/internal/testingtproxy)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/internal/writer)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/reporters)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/reporters/stenographer)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/ginkgo/types)) = 74c678d97c305753605c338c6c78c49ec104b5e7
Provides: bundled(golang(github.com/onsi/gomega)) = d59fa0ac68bb5dd932ee8d24eed631cdd519efc3
Provides: bundled(golang(github.com/onsi/gomega/format)) = d59fa0ac68bb5dd932ee8d24eed631cdd519efc3
Provides: bundled(golang(github.com/onsi/gomega/gbytes)) = d59fa0ac68bb5dd932ee8d24eed631cdd519efc3
Provides: bundled(golang(github.com/onsi/gomega/gexec)) = d59fa0ac68bb5dd932ee8d24eed631cdd519efc3
Provides: bundled(golang(github.com/onsi/gomega/internal/assertion)) = d59fa0ac68bb5dd932ee8d24eed631cdd519efc3
Provides: bundled(golang(github.com/onsi/gomega/internal/asyncassertion)) = d59fa0ac68bb5dd932ee8d24eed631cdd519efc3
Provides: bundled(golang(github.com/onsi/gomega/internal/oraclematcher)) = d59fa0ac68bb5dd932ee8d24eed631cdd519efc3
Provides: bundled(golang(github.com/onsi/gomega/internal/testingtsupport)) = d59fa0ac68bb5dd932ee8d24eed631cdd519efc3
Provides: bundled(golang(github.com/onsi/gomega/matchers)) = d59fa0ac68bb5dd932ee8d24eed631cdd519efc3
Provides: bundled(golang(github.com/onsi/gomega/matchers/support/goraph/bipartitegraph)) = d59fa0ac68bb5dd932ee8d24eed631cdd519efc3
Provides: bundled(golang(github.com/onsi/gomega/matchers/support/goraph/edge)) = d59fa0ac68bb5dd932ee8d24eed631cdd519efc3
Provides: bundled(golang(github.com/onsi/gomega/matchers/support/goraph/node)) = d59fa0ac68bb5dd932ee8d24eed631cdd519efc3
Provides: bundled(golang(github.com/onsi/gomega/matchers/support/goraph/util)) = d59fa0ac68bb5dd932ee8d24eed631cdd519efc3
Provides: bundled(golang(github.com/onsi/gomega/types)) = d59fa0ac68bb5dd932ee8d24eed631cdd519efc3
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer)) = 45c30e75abfd52107b53048004a83165403ad0d1
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/apparmor)) = 45c30e75abfd52107b53048004a83165403ad0d1
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/cgroups)) = 45c30e75abfd52107b53048004a83165403ad0d1
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/cgroups/fs)) = 45c30e75abfd52107b53048004a83165403ad0d1
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/cgroups/systemd)) = 45c30e75abfd52107b53048004a83165403ad0d1
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/configs)) = 45c30e75abfd52107b53048004a83165403ad0d1
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/configs/validate)) = 45c30e75abfd52107b53048004a83165403ad0d1
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/criurpc)) = 45c30e75abfd52107b53048004a83165403ad0d1
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/keys)) = 45c30e75abfd52107b53048004a83165403ad0d1
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/label)) = 45c30e75abfd52107b53048004a83165403ad0d1
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/seccomp)) = 45c30e75abfd52107b53048004a83165403ad0d1
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/selinux)) = 45c30e75abfd52107b53048004a83165403ad0d1
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/stacktrace)) = 45c30e75abfd52107b53048004a83165403ad0d1
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/system)) = 45c30e75abfd52107b53048004a83165403ad0d1
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/user)) = 45c30e75abfd52107b53048004a83165403ad0d1
Provides: bundled(golang(github.com/opencontainers/runc/libcontainer/utils)) = 45c30e75abfd52107b53048004a83165403ad0d1
Provides: bundled(golang(github.com/openshift/imagebuilder)) = 74238f0cbdc0d7296d2a826d4d2f6a9f79084f82
Provides: bundled(golang(github.com/openshift/imagebuilder/dockerclient)) = 74238f0cbdc0d7296d2a826d4d2f6a9f79084f82
Provides: bundled(golang(github.com/openshift/imagebuilder/imageprogress)) = 74238f0cbdc0d7296d2a826d4d2f6a9f79084f82
Provides: bundled(golang(github.com/openshift/imagebuilder/signal)) = 74238f0cbdc0d7296d2a826d4d2f6a9f79084f82
Provides: bundled(golang(github.com/openshift/imagebuilder/strslice)) = 74238f0cbdc0d7296d2a826d4d2f6a9f79084f82
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/api)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/api/describe)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/api/validation)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/build)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/build/strategies)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/build/strategies/layered)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/build/strategies/onbuild)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/build/strategies/sti)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/docker)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/errors)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/ignore)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/scm)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/scm/empty)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/scm/file)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/scm/git)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/scripts)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/tar)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/test)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/util)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/util/glog)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/util/interrupt)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/util/status)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/openshift/source-to-image/pkg/util/user)) = 431c81eac49eb43df80e629a511d80d6eca5bf13
Provides: bundled(golang(github.com/pborman/uuid)) = ca53cad383cad2479bbba7f7a1a05797ec1386e4
Provides: bundled(golang(github.com/pelletier/go-buffruneio)) = df1e16fde7fc330a0ca68167c23bf7ed6ac31d6d
Provides: bundled(golang(github.com/pelletier/go-toml)) = 0049ab3dc4c4c70a9eee23087437b69c0dde2130
Provides: bundled(golang(github.com/pkg/errors)) = a22138067af1c4942683050411a841ade67fe1eb
Provides: bundled(golang(github.com/pkg/profile)) = c795610ec6e479e5795f7852db65ea15073674a6
Provides: bundled(golang(github.com/pkg/sftp)) = 4d0e916071f68db74f8a73926335f809396d6b42
Provides: bundled(golang(github.com/pmezard/go-difflib/difflib)) = d8ed2627bdf02c080bf22230dbb337003b7aba2d
Provides: bundled(golang(github.com/prometheus/client_golang/prometheus)) = e51041b3fa41cece0dca035740ba6411905be473
Provides: bundled(golang(github.com/prometheus/client_model/go)) = fa8ad6fec33561be4280a8f0514318c79d7f6cb6
Provides: bundled(golang(github.com/prometheus/common/expfmt)) = a6ab08426bb262e2d190097751f5cfd1cfdfd17d
Provides: bundled(golang(github.com/prometheus/common/internal/bitbucket.org/ww/goautoneg)) = a6ab08426bb262e2d190097751f5cfd1cfdfd17d
Provides: bundled(golang(github.com/prometheus/common/model)) = a6ab08426bb262e2d190097751f5cfd1cfdfd17d
Provides: bundled(golang(github.com/prometheus/procfs)) = 454a56f35412459b5e684fd5ec0f9211b94f002a
Provides: bundled(golang(github.com/quobyte/api)) = bf713b5a4333f44504fa1ce63690de45cfed6413
Provides: bundled(golang(github.com/rackspace/gophercloud)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/blockstorage/v1/volumes)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/common/extensions)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/compute/v2/extensions/bootfromvolume)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/compute/v2/extensions/diskconfig)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/compute/v2/extensions/volumeattach)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/compute/v2/flavors)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/compute/v2/images)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/compute/v2/servers)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/identity/v2/tenants)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/identity/v2/tokens)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/identity/v3/extensions/trust)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/identity/v3/tokens)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/layer3/floatingips)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/lbaas/members)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/lbaas/monitors)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/lbaas/pools)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/lbaas/vips)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/lbaas_v2/listeners)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/lbaas_v2/loadbalancers)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/lbaas_v2/monitors)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/lbaas_v2/pools)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/security/groups)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/extensions/security/rules)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/networking/v2/ports)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/openstack/utils)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/pagination)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/rackspace)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/rackspace/blockstorage/v1/volumes)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/rackspace/compute/v2/servers)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/rackspace/compute/v2/volumeattach)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/rackspace/identity/v2/tokens)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/testhelper)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/rackspace/gophercloud/testhelper/client)) = e00690e87603abe613e9f02c816c7c4bef82e063
Provides: bundled(golang(github.com/renstrom/dedent)) = 020d11c3b9c0c7a3c2efcc8e5cf5b9ef7bcea21f
Provides: bundled(golang(github.com/robfig/cron)) = 783cfcb01fb00c48f740c9de79122bd410294149
Provides: bundled(golang(github.com/rubiojr/go-vhd/vhd)) = 0bfd3b39853cdde5762efda92289f14b0ac0491b
Provides: bundled(golang(github.com/russross/blackfriday)) = 300106c228d52c8941d4b3de6054a6062a86dda3
Provides: bundled(golang(github.com/samuel/go-zookeeper/zk)) = 177002e16a0061912f02377e2dd8951a8b3551bc
Provides: bundled(golang(github.com/seccomp/libseccomp-golang)) = 1b506fc7c24eec5a3693cdcbed40d9c226cfc6a1
Provides: bundled(golang(github.com/shurcooL/sanitized_anchor_name)) = 10ef21a441db47d8b13ebcc5fd2310f636973c77
Provides: bundled(golang(github.com/skynetservices/skydns/cache)) = 30763c4e568fe411f1663af553c063cec8879929
Provides: bundled(golang(github.com/skynetservices/skydns/metrics)) = 30763c4e568fe411f1663af553c063cec8879929
Provides: bundled(golang(github.com/skynetservices/skydns/msg)) = 30763c4e568fe411f1663af553c063cec8879929
Provides: bundled(golang(github.com/skynetservices/skydns/server)) = 30763c4e568fe411f1663af553c063cec8879929
Provides: bundled(golang(github.com/skynetservices/skydns/singleflight)) = 30763c4e568fe411f1663af553c063cec8879929
Provides: bundled(golang(github.com/spf13/afero)) = b28a7effac979219c2a2ed6205a4d70e4b1bcd02
Provides: bundled(golang(github.com/spf13/afero/mem)) = b28a7effac979219c2a2ed6205a4d70e4b1bcd02
Provides: bundled(golang(github.com/spf13/afero/sftp)) = b28a7effac979219c2a2ed6205a4d70e4b1bcd02
Provides: bundled(golang(github.com/spf13/cast)) = e31f36ffc91a2ba9ddb72a4b6a607ff9b3d3cb63
Provides: bundled(golang(github.com/spf13/cobra)) = 7c674d9e72017ed25f6d2b5e497a1368086b6a6f
Provides: bundled(golang(github.com/spf13/jwalterweatherman)) = 33c24e77fb80341fe7130ee7c594256ff08ccc46
Provides: bundled(golang(github.com/spf13/pflag)) = 5ccb023bc27df288a957c5e994cd44fd19619465
Provides: bundled(golang(github.com/spf13/viper)) = 7fb2782df3d83e0036cc89f461ed0422628776f4
Provides: bundled(golang(github.com/stevvooe/resumable)) = 51ad44105773cafcbe91927f70ac68e1bf78f8b4
Provides: bundled(golang(github.com/stevvooe/resumable/sha256)) = 51ad44105773cafcbe91927f70ac68e1bf78f8b4
Provides: bundled(golang(github.com/stevvooe/resumable/sha512)) = 51ad44105773cafcbe91927f70ac68e1bf78f8b4
Provides: bundled(golang(github.com/stretchr/objx)) = 1a9d0bb9f541897e62256577b352fdbc1fb4fd94
Provides: bundled(golang(github.com/stretchr/testify/assert)) = e3a8ff8ce36581f87a15341206f205b1da467059
Provides: bundled(golang(github.com/stretchr/testify/mock)) = e3a8ff8ce36581f87a15341206f205b1da467059
Provides: bundled(golang(github.com/stretchr/testify/require)) = e3a8ff8ce36581f87a15341206f205b1da467059
Provides: bundled(golang(github.com/syndtr/gocapability/capability)) = e7cb7fa329f456b3855136a2642b197bad7366ba
Provides: bundled(golang(github.com/ugorji/go/codec)) = f4485b318aadd133842532f841dc205a8e339d74
Provides: bundled(golang(github.com/vishvananda/netlink)) = 1e2e08e8a2dcdacaae3f14ac44c5cfa31361f270
Provides: bundled(golang(github.com/vishvananda/netlink/nl)) = 1e2e08e8a2dcdacaae3f14ac44c5cfa31361f270
Provides: bundled(golang(github.com/vishvananda/netns)) = 8ba1072b58e0c2a240eb5f6120165c7776c3e7b8
Provides: bundled(golang(github.com/vjeantet/asn1-ber)) = 85041cd0f4769ebf4a5ae600b1e921e630d6aff0
Provides: bundled(golang(github.com/vjeantet/ldapserver)) = 19fbc46ed12348d5122812c8303fb82e49b6c25d
Provides: bundled(golang(github.com/vmware/govmomi)) = b5ee639d7aa4b8dbb48ab4f75dddc19f71b5c514
Provides: bundled(golang(github.com/vmware/govmomi/find)) = b5ee639d7aa4b8dbb48ab4f75dddc19f71b5c514
Provides: bundled(golang(github.com/vmware/govmomi/list)) = b5ee639d7aa4b8dbb48ab4f75dddc19f71b5c514
Provides: bundled(golang(github.com/vmware/govmomi/object)) = b5ee639d7aa4b8dbb48ab4f75dddc19f71b5c514
Provides: bundled(golang(github.com/vmware/govmomi/property)) = b5ee639d7aa4b8dbb48ab4f75dddc19f71b5c514
Provides: bundled(golang(github.com/vmware/govmomi/session)) = b5ee639d7aa4b8dbb48ab4f75dddc19f71b5c514
Provides: bundled(golang(github.com/vmware/govmomi/task)) = b5ee639d7aa4b8dbb48ab4f75dddc19f71b5c514
Provides: bundled(golang(github.com/vmware/govmomi/vim25)) = b5ee639d7aa4b8dbb48ab4f75dddc19f71b5c514
Provides: bundled(golang(github.com/vmware/govmomi/vim25/debug)) = b5ee639d7aa4b8dbb48ab4f75dddc19f71b5c514
Provides: bundled(golang(github.com/vmware/govmomi/vim25/methods)) = b5ee639d7aa4b8dbb48ab4f75dddc19f71b5c514
Provides: bundled(golang(github.com/vmware/govmomi/vim25/mo)) = b5ee639d7aa4b8dbb48ab4f75dddc19f71b5c514
Provides: bundled(golang(github.com/vmware/govmomi/vim25/progress)) = b5ee639d7aa4b8dbb48ab4f75dddc19f71b5c514
Provides: bundled(golang(github.com/vmware/govmomi/vim25/soap)) = b5ee639d7aa4b8dbb48ab4f75dddc19f71b5c514
Provides: bundled(golang(github.com/vmware/govmomi/vim25/types)) = b5ee639d7aa4b8dbb48ab4f75dddc19f71b5c514
Provides: bundled(golang(github.com/vmware/govmomi/vim25/xml)) = b5ee639d7aa4b8dbb48ab4f75dddc19f71b5c514
Provides: bundled(golang(github.com/vmware/photon-controller-go-sdk/photon)) = dd6be2029ef341cae37b2557ddd302f68176f832
Provides: bundled(golang(github.com/vmware/photon-controller-go-sdk/photon/lightwave)) = dd6be2029ef341cae37b2557ddd302f68176f832
Provides: bundled(golang(github.com/xanzy/go-cloudstack/cloudstack)) = 1e2cbf647e57fa90353612074fdfc42faf5073bf
Provides: bundled(golang(github.com/xiang90/probing)) = 07dd2e8dfe18522e9c447ba95f2fe95262f63bb2
Provides: bundled(golang(github.com/xyproto/simpleredis)) = 5292687f5379e01054407da44d7c4590a61fd3de
Provides: bundled(golang(go4.org/errorutil)) = 03efcb870d84809319ea509714dd6d19a1498483
Provides: bundled(golang(golang.org/x/crypto/bcrypt)) = 1f22c0103821b9390939b6776727195525381532
Provides: bundled(golang(golang.org/x/crypto/blowfish)) = 1f22c0103821b9390939b6776727195525381532
Provides: bundled(golang(golang.org/x/crypto/curve25519)) = 1f22c0103821b9390939b6776727195525381532
Provides: bundled(golang(golang.org/x/crypto/pkcs12)) = 1f22c0103821b9390939b6776727195525381532
Provides: bundled(golang(golang.org/x/crypto/pkcs12/internal/rc2)) = 1f22c0103821b9390939b6776727195525381532
Provides: bundled(golang(golang.org/x/crypto/ssh)) = 1f22c0103821b9390939b6776727195525381532
Provides: bundled(golang(golang.org/x/crypto/ssh/terminal)) = 1f22c0103821b9390939b6776727195525381532
Provides: bundled(golang(golang.org/x/exp/inotify)) = 292a51b8d262487dab23a588950e8052d63d9113
Provides: bundled(golang(golang.org/x/net/context)) = e90d6d0afc4c315a0d87a568ae68577cc15149a0
Provides: bundled(golang(golang.org/x/net/context/ctxhttp)) = e90d6d0afc4c315a0d87a568ae68577cc15149a0
Provides: bundled(golang(golang.org/x/net/html)) = e90d6d0afc4c315a0d87a568ae68577cc15149a0
Provides: bundled(golang(golang.org/x/net/html/atom)) = e90d6d0afc4c315a0d87a568ae68577cc15149a0
Provides: bundled(golang(golang.org/x/net/http2)) = e90d6d0afc4c315a0d87a568ae68577cc15149a0
Provides: bundled(golang(golang.org/x/net/http2/hpack)) = e90d6d0afc4c315a0d87a568ae68577cc15149a0
Provides: bundled(golang(golang.org/x/net/idna)) = e90d6d0afc4c315a0d87a568ae68577cc15149a0
Provides: bundled(golang(golang.org/x/net/internal/timeseries)) = e90d6d0afc4c315a0d87a568ae68577cc15149a0
Provides: bundled(golang(golang.org/x/net/lex/httplex)) = e90d6d0afc4c315a0d87a568ae68577cc15149a0
Provides: bundled(golang(golang.org/x/net/proxy)) = e90d6d0afc4c315a0d87a568ae68577cc15149a0
Provides: bundled(golang(golang.org/x/net/trace)) = e90d6d0afc4c315a0d87a568ae68577cc15149a0
Provides: bundled(golang(golang.org/x/net/websocket)) = e90d6d0afc4c315a0d87a568ae68577cc15149a0
Provides: bundled(golang(golang.org/x/oauth2)) = 3c3a985cb79f52a3190fbc056984415ca6763d01
Provides: bundled(golang(golang.org/x/oauth2/google)) = 3c3a985cb79f52a3190fbc056984415ca6763d01
Provides: bundled(golang(golang.org/x/oauth2/internal)) = 3c3a985cb79f52a3190fbc056984415ca6763d01
Provides: bundled(golang(golang.org/x/oauth2/jws)) = 3c3a985cb79f52a3190fbc056984415ca6763d01
Provides: bundled(golang(golang.org/x/oauth2/jwt)) = 3c3a985cb79f52a3190fbc056984415ca6763d01
Provides: bundled(golang(golang.org/x/sys/unix)) = 8d1157a435470616f975ff9bb013bea8d0962067
Provides: bundled(golang(golang.org/x/sys/windows)) = 8d1157a435470616f975ff9bb013bea8d0962067
Provides: bundled(golang(golang.org/x/text/cases)) = ceefd2213ed29504fff30155163c8f59827734f3
Provides: bundled(golang(golang.org/x/text/internal/tag)) = ceefd2213ed29504fff30155163c8f59827734f3
Provides: bundled(golang(golang.org/x/text/language)) = ceefd2213ed29504fff30155163c8f59827734f3
Provides: bundled(golang(golang.org/x/text/runes)) = ceefd2213ed29504fff30155163c8f59827734f3
Provides: bundled(golang(golang.org/x/text/secure/bidirule)) = ceefd2213ed29504fff30155163c8f59827734f3
Provides: bundled(golang(golang.org/x/text/secure/precis)) = ceefd2213ed29504fff30155163c8f59827734f3
Provides: bundled(golang(golang.org/x/text/transform)) = ceefd2213ed29504fff30155163c8f59827734f3
Provides: bundled(golang(golang.org/x/text/unicode/bidi)) = ceefd2213ed29504fff30155163c8f59827734f3
Provides: bundled(golang(golang.org/x/text/unicode/norm)) = ceefd2213ed29504fff30155163c8f59827734f3
Provides: bundled(golang(golang.org/x/text/width)) = ceefd2213ed29504fff30155163c8f59827734f3
Provides: bundled(golang(google.golang.org/api/cloudmonitoring/v2beta2)) = a69f0f19d246419bb931b0ac8f4f8d3f3e6d4feb
Provides: bundled(golang(google.golang.org/api/compute/v1)) = a69f0f19d246419bb931b0ac8f4f8d3f3e6d4feb
Provides: bundled(golang(google.golang.org/api/container/v1)) = a69f0f19d246419bb931b0ac8f4f8d3f3e6d4feb
Provides: bundled(golang(google.golang.org/api/gensupport)) = a69f0f19d246419bb931b0ac8f4f8d3f3e6d4feb
Provides: bundled(golang(google.golang.org/api/googleapi)) = a69f0f19d246419bb931b0ac8f4f8d3f3e6d4feb
Provides: bundled(golang(google.golang.org/api/googleapi/internal/uritemplates)) = a69f0f19d246419bb931b0ac8f4f8d3f3e6d4feb
Provides: bundled(golang(google.golang.org/api/storage/v1)) = a69f0f19d246419bb931b0ac8f4f8d3f3e6d4feb
Provides: bundled(golang(google.golang.org/appengine)) = 4f7eeb5305a4ba1966344836ba4af9996b7b4e05
Provides: bundled(golang(google.golang.org/appengine/internal)) = 4f7eeb5305a4ba1966344836ba4af9996b7b4e05
Provides: bundled(golang(google.golang.org/appengine/internal/app_identity)) = 4f7eeb5305a4ba1966344836ba4af9996b7b4e05
Provides: bundled(golang(google.golang.org/appengine/internal/base)) = 4f7eeb5305a4ba1966344836ba4af9996b7b4e05
Provides: bundled(golang(google.golang.org/appengine/internal/datastore)) = 4f7eeb5305a4ba1966344836ba4af9996b7b4e05
Provides: bundled(golang(google.golang.org/appengine/internal/log)) = 4f7eeb5305a4ba1966344836ba4af9996b7b4e05
Provides: bundled(golang(google.golang.org/appengine/internal/modules)) = 4f7eeb5305a4ba1966344836ba4af9996b7b4e05
Provides: bundled(golang(google.golang.org/appengine/internal/remote_api)) = 4f7eeb5305a4ba1966344836ba4af9996b7b4e05
Provides: bundled(golang(google.golang.org/cloud)) = eb47ba841d53d93506cfbfbc03927daf9cc48f88
Provides: bundled(golang(google.golang.org/cloud/compute/metadata)) = eb47ba841d53d93506cfbfbc03927daf9cc48f88
Provides: bundled(golang(google.golang.org/cloud/internal)) = eb47ba841d53d93506cfbfbc03927daf9cc48f88
Provides: bundled(golang(google.golang.org/cloud/internal/opts)) = eb47ba841d53d93506cfbfbc03927daf9cc48f88
Provides: bundled(golang(google.golang.org/cloud/internal/testutil)) = eb47ba841d53d93506cfbfbc03927daf9cc48f88
Provides: bundled(golang(google.golang.org/cloud/internal/transport)) = eb47ba841d53d93506cfbfbc03927daf9cc48f88
Provides: bundled(golang(google.golang.org/cloud/storage)) = eb47ba841d53d93506cfbfbc03927daf9cc48f88
Provides: bundled(golang(google.golang.org/grpc)) = 777daa17ff9b5daef1cfdf915088a2ada3332bf0
Provides: bundled(golang(google.golang.org/grpc/codes)) = 777daa17ff9b5daef1cfdf915088a2ada3332bf0
Provides: bundled(golang(google.golang.org/grpc/credentials)) = 777daa17ff9b5daef1cfdf915088a2ada3332bf0
Provides: bundled(golang(google.golang.org/grpc/credentials/oauth)) = 777daa17ff9b5daef1cfdf915088a2ada3332bf0
Provides: bundled(golang(google.golang.org/grpc/grpclog)) = 777daa17ff9b5daef1cfdf915088a2ada3332bf0
Provides: bundled(golang(google.golang.org/grpc/internal)) = 777daa17ff9b5daef1cfdf915088a2ada3332bf0
Provides: bundled(golang(google.golang.org/grpc/metadata)) = 777daa17ff9b5daef1cfdf915088a2ada3332bf0
Provides: bundled(golang(google.golang.org/grpc/naming)) = 777daa17ff9b5daef1cfdf915088a2ada3332bf0
Provides: bundled(golang(google.golang.org/grpc/peer)) = 777daa17ff9b5daef1cfdf915088a2ada3332bf0
Provides: bundled(golang(google.golang.org/grpc/transport)) = 777daa17ff9b5daef1cfdf915088a2ada3332bf0
Provides: bundled(golang(gopkg.in/asn1-ber.v1)) = 4e86f4367175e39f69d9358a5f17b4dda270378d
Provides: bundled(golang(gopkg.in/check.v1)) = 64131543e7896d5bcc6bd5a76287eb75ea96c673
Provides: bundled(golang(gopkg.in/gcfg.v1)) = 083575c3955c85df16fe9590cceab64d03f5eb6e
Provides: bundled(golang(gopkg.in/gcfg.v1/scanner)) = 083575c3955c85df16fe9590cceab64d03f5eb6e
Provides: bundled(golang(gopkg.in/gcfg.v1/token)) = 083575c3955c85df16fe9590cceab64d03f5eb6e
Provides: bundled(golang(gopkg.in/gcfg.v1/types)) = 083575c3955c85df16fe9590cceab64d03f5eb6e
Provides: bundled(golang(gopkg.in/inf.v0)) = 3887ee99ecf07df5b447e9b00d9c0b2adaa9f3e4
Provides: bundled(golang(gopkg.in/ldap.v2)) = 8168ee085ee43257585e50c6441aadf54ecb2c9f
Provides: bundled(golang(gopkg.in/natefinch/lumberjack.v2)) = 20b71e5b60d756d3d2f80def009790325acc2b23
Provides: bundled(golang(gopkg.in/yaml.v2)) = a83829b6f1293c91addabc89d0571c246397bbf4
Provides: bundled(golang(k8s.io/client-go/discovery)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/kubernetes)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/kubernetes/typed/apps/v1beta1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/kubernetes/typed/authentication/v1beta1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/kubernetes/typed/authorization/v1beta1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/kubernetes/typed/autoscaling/v1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/kubernetes/typed/batch/v1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/kubernetes/typed/batch/v2alpha1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/kubernetes/typed/certificates/v1alpha1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/kubernetes/typed/core/v1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/kubernetes/typed/extensions/v1beta1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/kubernetes/typed/policy/v1beta1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/kubernetes/typed/rbac/v1alpha1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/kubernetes/typed/storage/v1beta1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/api)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/api/errors)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/api/install)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/api/meta)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/api/meta/metatypes)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/api/resource)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/api/unversioned)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/api/v1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/api/validation/path)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apimachinery)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apimachinery/announced)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apimachinery/registered)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/apps)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/apps/install)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/apps/v1beta1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/authentication)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/authentication/install)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/authentication/v1beta1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/authorization)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/authorization/install)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/authorization/v1beta1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/autoscaling)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/autoscaling/install)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/autoscaling/v1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/batch)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/batch/install)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/batch/v1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/batch/v2alpha1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/certificates)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/certificates/install)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/certificates/v1alpha1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/extensions)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/extensions/install)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/extensions/v1beta1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/policy)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/policy/install)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/policy/v1beta1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/rbac)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/rbac/install)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/rbac/v1alpha1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/storage)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/storage/install)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/apis/storage/v1beta1)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/auth/user)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/conversion)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/conversion/queryparams)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/fields)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/genericapiserver/openapi/common)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/labels)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/runtime)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/runtime/serializer)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/runtime/serializer/json)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/runtime/serializer/protobuf)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/runtime/serializer/recognizer)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/runtime/serializer/streaming)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/runtime/serializer/versioning)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/selection)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/third_party/forked/golang/reflect)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/third_party/forked/golang/template)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/types)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/cert)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/clock)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/errors)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/flowcontrol)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/framer)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/integer)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/intstr)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/json)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/jsonpath)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/labels)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/net)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/parsers)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/rand)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/ratelimit)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/runtime)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/sets)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/uuid)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/validation)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/validation/field)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/wait)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/util/yaml)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/version)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/watch)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/pkg/watch/versioned)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/plugin/pkg/client/auth)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/plugin/pkg/client/auth/gcp)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/plugin/pkg/client/auth/oidc)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/rest)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/tools/clientcmd/api)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/tools/metrics)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/client-go/transport)) = ecd05810bd98f1ccb9a4558871cb0de3aefd50b4
Provides: bundled(golang(k8s.io/gengo/args)) = 6a1c24d7f08e671c244023ca9367d2dfbfaf57fc
Provides: bundled(golang(k8s.io/gengo/examples/deepcopy-gen/generators)) = 6a1c24d7f08e671c244023ca9367d2dfbfaf57fc
Provides: bundled(golang(k8s.io/gengo/examples/defaulter-gen/generators)) = 6a1c24d7f08e671c244023ca9367d2dfbfaf57fc
Provides: bundled(golang(k8s.io/gengo/examples/set-gen/sets)) = 6a1c24d7f08e671c244023ca9367d2dfbfaf57fc
Provides: bundled(golang(k8s.io/gengo/generator)) = 6a1c24d7f08e671c244023ca9367d2dfbfaf57fc
Provides: bundled(golang(k8s.io/gengo/namer)) = 6a1c24d7f08e671c244023ca9367d2dfbfaf57fc
Provides: bundled(golang(k8s.io/gengo/parser)) = 6a1c24d7f08e671c244023ca9367d2dfbfaf57fc
Provides: bundled(golang(k8s.io/gengo/types)) = 6a1c24d7f08e671c244023ca9367d2dfbfaf57fc
Provides: bundled(golang(k8s.io/heapster/metrics/api/v1/types)) = c2ac40f1adf8c42a79badddb2a2acd673cae3bcb
Provides: bundled(golang(k8s.io/heapster/metrics/apis/metrics/v1alpha1)) = c2ac40f1adf8c42a79badddb2a2acd673cae3bcb
Provides: bundled(golang(k8s.io/kubernetes/cmd/genutils)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/kube-apiserver/app)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/kube-apiserver/app/options)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/kube-controller-manager/app)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/kube-controller-manager/app/options)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/kube-proxy/app)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/kube-proxy/app/options)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/kubeadm/app/apis/kubeadm)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/kubeadm/app/apis/kubeadm/install)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/kubeadm/app/apis/kubeadm/v1alpha1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/kubelet/app)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/kubelet/app/options)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/kubernetes-discovery/discoverysummarizer)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/kubernetes-discovery/discoverysummarizer/apis/config/v1alpha1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/client-gen)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/client-gen/args)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/client-gen/generators)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/client-gen/generators/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/client-gen/test_apis/testgroup)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/client-gen/test_apis/testgroup/install)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/client-gen/test_apis/testgroup/v1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/client-gen/types)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/conversion-gen/generators)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/go-to-protobuf/protobuf)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/go-to-protobuf/protoc-gen-gogo)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/lister-gen/generators)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/cmd/libs/go2idl/openapi-gen/generators)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/examples)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/examples/apiserver)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/examples/apiserver/rest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/examples/apiserver/server)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/examples/explorer)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/examples/https-nginx)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/examples/k8petstore/web-server/src)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/examples/sharing-clusters)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/apis/core)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/apis/core/install)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/apis/core/v1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/apis/federation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/apis/federation/install)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/apis/federation/v1beta1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/apis/federation/validation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_internalclientset)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_internalclientset/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_internalclientset/typed/core/internalversion)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_internalclientset/typed/core/internalversion/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_internalclientset/typed/extensions/internalversion)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_internalclientset/typed/extensions/internalversion/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_internalclientset/typed/federation/internalversion)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_internalclientset/typed/federation/internalversion/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_release_1_5)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_release_1_5/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_release_1_5/typed/core/v1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_release_1_5/typed/core/v1/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_release_1_5/typed/extensions/v1beta1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_release_1_5/typed/extensions/v1beta1/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_release_1_5/typed/federation/v1beta1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/client/clientset_generated/federation_release_1_5/typed/federation/v1beta1/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/cmd/federation-apiserver/app)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/cmd/federation-apiserver/app/options)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/pkg/federation-controller/util)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/registry/cluster)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/federation/registry/cluster/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/admission)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/annotations)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/endpoints)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/errors)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/errors/storage)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/events)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/install)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/meta)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/meta/metatypes)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/pod)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/resource)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/rest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/rest/resttest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/service)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/testapi)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/testing/compat)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/unversioned)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/unversioned/validation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/util)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/v1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/validation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/api/validation/path)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apimachinery)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apimachinery/announced)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apimachinery/registered)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/abac)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/abac/latest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/abac/v0)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/abac/v1beta1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/apps)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/apps/install)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/apps/v1beta1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/apps/validation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/authentication)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/authentication/install)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/authentication/v1beta1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/authorization)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/authorization/install)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/authorization/v1beta1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/authorization/validation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/autoscaling)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/autoscaling/install)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/autoscaling/v1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/autoscaling/validation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/batch)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/batch/install)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/batch/v1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/batch/v2alpha1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/batch/validation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/certificates)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/certificates/install)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/certificates/v1alpha1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/certificates/validation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/componentconfig)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/componentconfig/install)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/componentconfig/v1alpha1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/extensions)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/extensions/install)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/extensions/v1beta1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/extensions/validation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/imagepolicy)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/imagepolicy/install)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/imagepolicy/v1alpha1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/policy)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/policy/install)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/policy/v1alpha1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/policy/v1beta1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/policy/validation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/rbac)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/rbac/install)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/rbac/v1alpha1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/rbac/validation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/storage)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/storage/install)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/storage/util)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/storage/v1beta1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apis/storage/validation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apiserver)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apiserver/authenticator)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apiserver/filters)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apiserver/metrics)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apiserver/openapi)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apiserver/request)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/apiserver/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/authenticator)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/authenticator/bearertoken)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/authorizer)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/authorizer/abac)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/authorizer/union)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/group)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/handlers)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/auth/user)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/capabilities)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/cache)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/chaosclient)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/apps/internalversion)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/apps/internalversion/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/authentication/internalversion)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/authentication/internalversion/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/authorization/internalversion)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/authorization/internalversion/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/autoscaling/internalversion)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/autoscaling/internalversion/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/batch/internalversion)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/batch/internalversion/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/certificates/internalversion)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/certificates/internalversion/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/core/internalversion)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/core/internalversion/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/extensions/internalversion)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/extensions/internalversion/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/policy/internalversion)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/policy/internalversion/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/rbac/internalversion)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/rbac/internalversion/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/storage/internalversion)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/internalclientset/typed/storage/internalversion/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/apps/v1beta1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/apps/v1beta1/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/authentication/v1beta1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/authentication/v1beta1/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/authorization/v1beta1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/authorization/v1beta1/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/autoscaling/v1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/autoscaling/v1/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/batch/v1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/batch/v1/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/batch/v2alpha1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/batch/v2alpha1/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/certificates/v1alpha1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/certificates/v1alpha1/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/core/v1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/core/v1/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/extensions/v1beta1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/extensions/v1beta1/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/policy/v1beta1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/policy/v1beta1/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/rbac/v1alpha1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/rbac/v1alpha1/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/storage/v1beta1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/clientset_generated/release_1_5/typed/storage/v1beta1/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/leaderelection)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/leaderelection/resourcelock)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/listers/batch/internalversion)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/listers/core/internalversion)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/metrics)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/record)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/restclient)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/restclient/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/retry)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/testing/cache)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/testing/core)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/transport)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/typed/discovery)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/typed/discovery/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/typed/dynamic)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/auth)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/clientcmd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/clientcmd/api)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/clientcmd/api/latest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/clientcmd/api/v1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/portforward)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/client/unversioned/remotecommand)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/aws)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/azure)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/cloudstack)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/fake)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/gce)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/mesos)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/openstack)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/ovirt)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/photon)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/rackspace)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/cloudprovider/providers/vsphere)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/certificates)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/cronjob)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/daemon)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/deployment)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/deployment/util)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/disruption)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/endpoint)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/garbagecollector)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/garbagecollector/metaonly)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/informers)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/job)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/namespace)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/node)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/petset)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/podautoscaler)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/podautoscaler/metrics)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/podgc)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/replicaset)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/replication)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/resourcequota)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/route)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/service)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/serviceaccount)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/volume/attachdetach)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/volume/attachdetach/cache)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/volume/attachdetach/populator)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/volume/attachdetach/reconciler)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/volume/attachdetach/statusupdater)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/volume/attachdetach/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/controller/volume/persistentvolume)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/conversion)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/conversion/queryparams)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/credentialprovider)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/credentialprovider/aws)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/credentialprovider/azure)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/credentialprovider/gcp)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/dns/federation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/fieldpath)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/fields)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/generated/openapi)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/genericapiserver)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/genericapiserver/authorizer)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/genericapiserver/filters)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/genericapiserver/mux)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/genericapiserver/openapi)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/genericapiserver/openapi/common)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/genericapiserver/options)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/genericapiserver/routes)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/genericapiserver/validation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/healthz)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/httplog)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd/config)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd/rollout)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd/set)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd/templates)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd/util)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/cmd/util/editor)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/metricsutil)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/resource)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubectl/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/api)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/api/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/api/v1alpha1/runtime)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/api/v1alpha1/stats)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/cadvisor)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/cadvisor/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/client)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/cm)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/cm/util)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/config)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/container)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/container/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/custommetrics)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/dockershim)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/dockershim/cm)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/dockershim/remote)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/dockertools)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/envvars)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/events)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/eviction)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/images)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/kuberuntime)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/leaky)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/lifecycle)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/metrics)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network/cni)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network/cni/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network/exec)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network/hairpin)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network/hostport)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network/hostport/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network/kubenet)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network/mock_network)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/network/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/pleg)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/pod)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/pod/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/prober)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/prober/results)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/prober/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/qos)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/remote)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/rkt)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/server)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/server/portforward)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/server/remotecommand)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/server/stats)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/server/streaming)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/status)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/sysctl)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/types)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/util/cache)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/util/csr)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/util/format)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/util/ioutils)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/util/queue)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/util/sliceutils)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/volumemanager)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/volumemanager/cache)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/volumemanager/populator)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/kubelet/volumemanager/reconciler)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/labels)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/master)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/master/ports)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/master/thirdparty)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/metrics)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/probe)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/probe/exec)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/probe/http)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/probe/tcp)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/proxy)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/proxy/config)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/proxy/healthcheck)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/proxy/iptables)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/proxy/userspace)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/proxy/winuserspace)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/quota)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/quota/evaluator/core)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/quota/generic)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/quota/install)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/apps/petset)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/apps/petset/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/apps/rest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/authentication/rest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/authentication/tokenreview)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/authorization/localsubjectaccessreview)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/authorization/rest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/authorization/selfsubjectaccessreview)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/authorization/subjectaccessreview)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/authorization/util)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/autoscaling/horizontalpodautoscaler)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/autoscaling/horizontalpodautoscaler/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/autoscaling/rest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/batch/cronjob)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/batch/cronjob/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/batch/job)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/batch/job/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/batch/rest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/cachesize)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/certificates/certificates)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/certificates/certificates/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/certificates/rest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/componentstatus)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/configmap)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/configmap/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/controller)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/controller/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/endpoint)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/endpoint/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/event)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/event/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/limitrange)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/limitrange/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/namespace)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/namespace/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/node)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/node/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/node/rest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/persistentvolume)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/persistentvolume/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/persistentvolumeclaim)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/persistentvolumeclaim/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/pod)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/pod/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/pod/rest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/podtemplate)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/podtemplate/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/rangeallocation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/resourcequota)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/resourcequota/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/rest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/secret)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/secret/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/service)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/service/allocator)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/service/allocator/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/service/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/service/ipallocator)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/service/ipallocator/controller)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/service/portallocator)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/service/portallocator/controller)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/serviceaccount)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/core/serviceaccount/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/extensions/controller/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/extensions/daemonset)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/extensions/daemonset/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/extensions/deployment)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/extensions/deployment/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/extensions/ingress)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/extensions/ingress/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/extensions/networkpolicy)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/extensions/networkpolicy/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/extensions/podsecuritypolicy)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/extensions/podsecuritypolicy/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/extensions/replicaset)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/extensions/replicaset/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/extensions/rest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/extensions/thirdpartyresource)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/extensions/thirdpartyresource/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/extensions/thirdpartyresourcedata)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/extensions/thirdpartyresourcedata/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/generic)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/generic/registry)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/generic/rest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/policy/poddisruptionbudget)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/policy/poddisruptionbudget/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/policy/rest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/rbac)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/rbac/clusterrole)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/rbac/clusterrole/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/rbac/clusterrole/policybased)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/rbac/clusterrolebinding)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/rbac/clusterrolebinding/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/rbac/clusterrolebinding/policybased)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/rbac/rest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/rbac/role)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/rbac/role/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/rbac/role/policybased)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/rbac/rolebinding)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/rbac/rolebinding/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/rbac/rolebinding/policybased)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/registrytest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/securitycontextconstraints)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/securitycontextconstraints/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/storage/rest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/storage/storageclass)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/registry/storage/storageclass/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/routes)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime/serializer)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime/serializer/json)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime/serializer/protobuf)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime/serializer/recognizer)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime/serializer/streaming)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime/serializer/versioning)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/runtime/serializer/yaml)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/security/apparmor)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/security/podsecuritypolicy)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/security/podsecuritypolicy/apparmor)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/security/podsecuritypolicy/capabilities)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/security/podsecuritypolicy/group)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/security/podsecuritypolicy/seccomp)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/security/podsecuritypolicy/selinux)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/security/podsecuritypolicy/sysctl)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/security/podsecuritypolicy/user)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/security/podsecuritypolicy/util)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontext)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints/capabilities)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints/group)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints/seccomp)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints/selinux)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints/user)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/securitycontextconstraints/util)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/selection)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/serviceaccount)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/ssh)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/etcd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/etcd/etcdtest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/etcd/metrics)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/etcd/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/etcd/testing/testingcert)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/etcd/util)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/etcd3)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/storagebackend)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/storagebackend/factory)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/storage/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/types)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/async)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/bandwidth)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/cache)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/cert)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/chmod)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/chown)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/clock)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/config)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/configz)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/crlf)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/dbus)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/diff)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/ebtables)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/env)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/errors)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/exec)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/flag)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/flock)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/flowcontrol)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/flushwriter)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/framer)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/goroutinemap)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/goroutinemap/exponentialbackoff)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/hash)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/homedir)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/httpstream)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/httpstream/spdy)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/integer)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/interrupt)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/intstr)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/io)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/iptables)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/iptables/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/json)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/jsonpath)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/keymutex)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/labels)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/limitwriter)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/logs)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/maps)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/metrics)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/mount)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/net)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/net/sets)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/netsh)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/netsh/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/node)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/oom)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/parsers)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/pod)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/procfs)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/proxy)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/rand)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/replicaset)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/resourcecontainer)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/rlimit)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/runtime)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/selinux)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/sets)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/slice)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/strategicpatch)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/strings)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/sysctl)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/sysctl/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/system)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/term)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/uuid)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/validation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/validation/field)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/wait)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/workqueue)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/workqueue/prometheus)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/wsstream)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/util/yaml)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/version)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/aws_ebs)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/azure_dd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/azure_file)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/cephfs)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/cinder)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/configmap)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/downwardapi)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/empty_dir)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/fc)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/flexvolume)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/flocker)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/gce_pd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/git_repo)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/glusterfs)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/host_path)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/iscsi)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/nfs)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/photon_pd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/quobyte)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/rbd)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/secret)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/util)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/util/nestedpendingoperations)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/util/operationexecutor)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/util/types)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/util/volumehelper)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/volume/vsphere_volume)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/watch)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/watch/json)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/pkg/watch/versioned)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/cmd/kube-scheduler/app)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/cmd/kube-scheduler/app/options)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/admit)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/alwayspullimages)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/antiaffinity)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/deny)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/exec)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/gc)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/imagepolicy)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/initialresources)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/limitranger)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/namespace/autoprovision)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/namespace/exists)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/namespace/lifecycle)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/persistentvolume/label)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/podnodeselector)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/resourcequota)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/security/podsecuritypolicy)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/securitycontext/scdeny)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/serviceaccount)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/admission/storageclass/default)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/password/keystone)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/password/passwordfile)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/request/anonymous)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/request/basicauth)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/request/headerrequest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/request/union)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/request/x509)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/token/anytoken)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/token/oidc)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/token/oidc/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/token/tokenfile)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authenticator/token/webhook)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authorizer/rbac)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authorizer/rbac/bootstrappolicy)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/auth/authorizer/webhook)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/client/auth)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/client/auth/gcp)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/client/auth/oidc)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/algorithm)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/algorithm/predicates)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/algorithm/priorities)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/algorithm/priorities/util)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/algorithmprovider)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/algorithmprovider/defaults)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/api)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/api/latest)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/api/v1)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/api/validation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/factory)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/metrics)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/schedulercache)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/scheduler/testing)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/plugin/pkg/webhook)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/test/e2e)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/test/e2e/chaosmonkey)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/test/e2e/common)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/test/e2e/framework)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/test/e2e/generated)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/test/e2e/perftype)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/test/images/net/common)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/test/images/net/nat)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/test/integration)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/test/integration/discoverysummarizer)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/test/integration/examples)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/test/integration/federation)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/test/integration/framework)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/test/integration/metrics)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/test/integration/objectmeta)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/test/integration/openshift)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/test/integration/scheduler_perf)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/test/utils)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/third_party/forked/golang/expansion)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/third_party/forked/golang/json)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/third_party/forked/golang/netutil)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/third_party/forked/golang/reflect)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(k8s.io/kubernetes/third_party/forked/golang/template)) = 43a9be421799afb8a9c02d3541212a6e623c9053
Provides: bundled(golang(github.com/coreos/etcd/pkg/monotime)) = 8ba2897a21e4fc51b298ca553d251318425f93ae
Provides: bundled(golang(github.com/grpc-ecosystem/go-grpc-prometheus)) = 6b7015e65d366bf3f19b2b2a000a831940f0f7e0

%description
OpenShift Origin is a distribution of Kubernetes optimized for application
development and deployment. OpenShift Origin adds developer and operational
centric tools on top of Kubernetes to enable rapid application development, easy
deployment and scaling, and long-term lifecycle maintenance for small and large
teams and applications. It provides a secure and multi-tenant configuration for
Kubernetes allowing you to safely host many different applications and workloads
on a unified cluster.

%package master
Summary:        %{product_name} Master
Requires:       %{name} = %{version}-%{release}
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
Obsoletes:      openshift-master < %{package_refector_version}

%description master
%{summary}

%if 0%{build_tests}
%package tests
Summary: %{product_name} Test Suite
Requires:       %{name} = %{version}-%{release}

%description tests
%{summary}
%endif

%package node
Summary:        %{product_name} Node
Requires:       %{name} = %{version}-%{release}
Requires:       docker >= %{docker_version}
Requires:       tuned-profiles-%{name}-node = %{version}-%{release}
Requires:       util-linux
Requires:       socat
Requires:       nfs-utils
Requires:       ethtool
Requires:       device-mapper-persistent-data >= 0.6.2
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
Obsoletes:      openshift-node < %{package_refector_version}

%description node
%{summary}

%package -n tuned-profiles-%{name}-node
Summary:        Tuned profiles for %{product_name} Node hosts
Requires:       tuned >= %{tuned_version}
Obsoletes:      tuned-profiles-openshift-node < %{package_refector_version}

%description -n tuned-profiles-%{name}-node
%{summary}

%package clients
Summary:        %{product_name} Client binaries for Linux
Obsoletes:      openshift-clients < %{package_refector_version}
Requires:       git

%description clients
%{summary}

%if 0%{?make_redistributable}
%package clients-redistributable
Summary:        %{product_name} Client binaries for Linux, Mac OSX, and Windows
Obsoletes:      openshift-clients-redistributable < %{package_refector_version}

%description clients-redistributable
%{summary}
%endif

%package dockerregistry
Summary:        Docker Registry v2 for %{product_name}
Requires:       %{name} = %{version}-%{release}

%description dockerregistry
%{summary}

%package pod
Summary:        %{product_name} Pod

%description pod
%{summary}

%package sdn-ovs
Summary:          %{product_name} SDN Plugin for Open vSwitch
Requires:         openvswitch >= %{openvswitch_version}
Requires:         %{name}-node = %{version}-%{release}
Requires:         bridge-utils
Requires:         ethtool
Requires:         procps-ng
Requires:         iproute
Obsoletes:        openshift-sdn-ovs < %{package_refector_version}

%description sdn-ovs
%{summary}

%package excluder
Summary:   Exclude openshift packages from updates
BuildArch: noarch

%description excluder
Many times admins do not want openshift updated when doing
normal system updates.

%{name}-excluder exclude - No openshift packages can be updated
%{name}-excluder unexclude - Openshift packages can be updated

%package docker-excluder
Summary:   Exclude docker packages from updates
BuildArch: noarch

%description docker-excluder
Certain versions of OpenShift will not work with newer versions
of docker.  Exclude those versions of docker.

%{name}-docker-excluder exclude - No major docker updates
%{name}-docker-excluder unexclude - docker packages can be updated

%prep
%setup -q -n %{name}-%{commit}

%patch0 -p1

%build
echo "GOLANG DEBUG OUTPUT"
go version

%if 0%{make_redistributable}
# Create Binaries for all supported arches
 %{os_git_vars} hack/build-cross.sh
%else
# Create Binaries only for building arch
%ifarch x86_64
  BUILD_PLATFORM="linux/amd64"
%endif
%ifarch %{ix86}
  BUILD_PLATFORM="linux/386"
%endif
%ifarch ppc64le
  BUILD_PLATFORM="linux/ppc64le"
%endif
%ifarch ppc64 ppc64p7
  BUILD_PLATFORM="linux/ppc64"
%endif
%ifarch aarch64
  BUILD_PLATFORM="linux/arm64"
%endif
%ifarch %{arm}
  BUILD_PLATFORM="linux/arm"
%endif
%ifarch s390x
  BUILD_PLATFORM="linux/s390x"
%endif
OS_ONLY_BUILD_PLATFORMS="${BUILD_PLATFORM}" %{os_git_vars} hack/build-cross.sh
%endif

%if 0%{build_tests}
# Create extended.test
%{os_git_vars} hack/build-go.sh test/extended/extended.test
%endif

# Create/Update man pages
%{os_git_vars} hack/generate-docs.sh

%install

PLATFORM="$(go env GOHOSTOS)/$(go env GOHOSTARCH)"
install -d %{buildroot}%{_bindir}

# Install linux components
for bin in oc openshift dockerregistry
do
  echo "+++ INSTALLING ${bin}"
  install -p -m 755 _output/local/bin/${PLATFORM}/${bin} %{buildroot}%{_bindir}/${bin}
done
install -d %{buildroot}%{_libexecdir}/%{name}
%if 0%{build_tests}
install -p -m 755 _output/local/bin/${PLATFORM}/extended.test %{buildroot}%{_libexecdir}/%{name}/
%endif

%if 0%{?make_redistributable}
# Install client executable for windows and mac
install -d %{buildroot}%{_datadir}/%{name}/{linux,macosx,windows}
install -p -m 755 _output/local/bin/linux/*/oc %{buildroot}%{_datadir}/%{name}/linux/oc
install -p -m 755 _output/local/bin/darwin/*/oc %{buildroot}/%{_datadir}/%{name}/macosx/oc
install -p -m 755 _output/local/bin/windows/*/oc.exe %{buildroot}/%{_datadir}/%{name}/windows/oc.exe
%endif

# Install pod
install -p -m 755 _output/local/bin/${PLATFORM}/pod %{buildroot}%{_bindir}/

install -d -m 0755 %{buildroot}%{_unitdir}

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig

for cmd in \
    kube-apiserver \
    kube-controller-manager \
    kube-proxy \
    kube-scheduler \
    kubelet \
    kubernetes \
    oadm \
    openshift-deploy \
    openshift-docker-build \
    openshift-f5-router \
    openshift-recycle \
    openshift-router \
    openshift-sti-build \
    origin
do
    ln -s openshift %{buildroot}%{_bindir}/$cmd
done

ln -s oc %{buildroot}%{_bindir}/kubectl

install -d -m 0755 %{buildroot}%{_sysconfdir}/origin/{master,node}

# different service for origin vs aos
install -m 0644 contrib/systemd/%{name}-master.service %{buildroot}%{_unitdir}/%{name}-master.service
install -m 0644 contrib/systemd/%{name}-node.service %{buildroot}%{_unitdir}/%{name}-node.service
# same sysconfig files for origin vs aos
install -m 0644 contrib/systemd/origin-master.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}-master
install -m 0644 contrib/systemd/origin-node.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}-node
install -d -m 0755 %{buildroot}%{_prefix}/lib/tuned/%{name}-node-{guest,host}
install -m 0644 contrib/tuned/origin-node-guest/tuned.conf %{buildroot}%{_prefix}/lib/tuned/%{name}-node-guest/tuned.conf
install -m 0644 contrib/tuned/origin-node-host/tuned.conf %{buildroot}%{_prefix}/lib/tuned/%{name}-node-host/tuned.conf

# Install man1 man pages
install -d -m 0755 %{buildroot}%{_mandir}/man1
install -m 0644 docs/man/man1/* %{buildroot}%{_mandir}/man1/

# Patch and install the manpage for tuned profiles on aos
install -d -m 0755 %{buildroot}%{_mandir}/man7
%if "%{dist}" == ".el7aos"
%{__sed} -e 's|origin-node|atomic-openshift-node|g' \
 -e 's|ORIGIN_NODE|ATOMIC_OPENSHIFT_NODE|' \
 contrib/tuned/man/tuned-profiles-origin-node.7 > %{buildroot}%{_mandir}/man7/tuned-profiles-%{name}-node.7
%else
install -m 0644 contrib/tuned/man/tuned-profiles-origin-node.7 %{buildroot}%{_mandir}/man7/tuned-profiles-%{name}-node.7
%endif

mkdir -p %{buildroot}%{_sharedstatedir}/origin


# Install sdn scripts
install -d -m 0755 %{buildroot}%{_sysconfdir}/cni/net.d
pushd pkg/sdn/plugin/sdn-cni-plugin
    install -p -m 0644 80-openshift-sdn.conf %{buildroot}%{_sysconfdir}/cni/net.d
popd
pushd pkg/sdn/plugin/bin
   install -p -m 0755 openshift-sdn-ovs %{buildroot}%{_bindir}/openshift-sdn-ovs
popd
install -d -m 0755 %{buildroot}/opt/cni/bin
install -p -m 0755 _output/local/bin/linux/*/sdn-cni-plugin %{buildroot}/opt/cni/bin/openshift-sdn
install -p -m 0755 _output/local/bin/linux/*/host-local %{buildroot}/opt/cni/bin
install -p -m 0755 _output/local/bin/linux/*/loopback %{buildroot}/opt/cni/bin

install -d -m 0755 %{buildroot}%{_unitdir}/%{name}-node.service.d
install -p -m 0644 contrib/systemd/openshift-sdn-ovs.conf %{buildroot}%{_unitdir}/%{name}-node.service.d/openshift-sdn-ovs.conf

# Install bash completions
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d/
for bin in oadm oc openshift
do
  echo "+++ INSTALLING BASH COMPLETIONS FOR ${bin} "
  %{buildroot}%{_bindir}/${bin} completion bash > %{buildroot}%{_sysconfdir}/bash_completion.d/${bin}
  chmod 644 %{buildroot}%{_sysconfdir}/bash_completion.d/${bin}
done

# Install origin-accounting
install -d -m 755 %{buildroot}%{_sysconfdir}/systemd/system.conf.d/
install -p -m 644 contrib/systemd/origin-accounting.conf %{buildroot}%{_sysconfdir}/systemd/system.conf.d/

# Excluder variables
mkdir -p $RPM_BUILD_ROOT/usr/sbin
%if 0%{?fedora}
  OS_CONF_FILE="/etc/dnf.conf"
%else
  OS_CONF_FILE="/etc/yum.conf"
%endif

# Install openshift-excluder script
sed "s|@@CONF_FILE-VARIABLE@@|${OS_CONF_FILE}|" contrib/excluder/excluder-template > $RPM_BUILD_ROOT/usr/sbin/%{name}-excluder
sed -i "s|@@PACKAGE_LIST-VARIABLE@@|%{name} %{name}-clients %{name}-clients-redistributable %{name}-dockerregistry %{name}-master %{name}-node %{name}-pod %{name}-recycle %{name}-sdn-ovs %{name}-tests tuned-profiles-%{name}-node|" $RPM_BUILD_ROOT/usr/sbin/%{name}-excluder

chmod 0744 $RPM_BUILD_ROOT/usr/sbin/%{name}-excluder

# Install docker-excluder script
sed "s|@@CONF_FILE-VARIABLE@@|${OS_CONF_FILE}|" contrib/excluder/excluder-template > $RPM_BUILD_ROOT/usr/sbin/%{name}-docker-excluder
sed -i "s|@@PACKAGE_LIST-VARIABLE@@|docker*1.13* docker*1.14* docker*1.15* docker*1.16* docker*1.17* docker*1.18* docker*1.19* docker*1.20*|" $RPM_BUILD_ROOT/usr/sbin/%{name}-docker-excluder
chmod 0744 $RPM_BUILD_ROOT/usr/sbin/%{name}-docker-excluder


%files
%doc README.md
%license LICENSE
%{_bindir}/openshift
%{_bindir}/kube-apiserver
%{_bindir}/kube-controller-manager
%{_bindir}/kube-proxy
%{_bindir}/kube-scheduler
%{_bindir}/kubelet
%{_bindir}/kubernetes
%{_bindir}/oadm
%{_bindir}/openshift-deploy
%{_bindir}/openshift-docker-build
%{_bindir}/openshift-f5-router
%{_bindir}/openshift-recycle
%{_bindir}/openshift-router
%{_bindir}/openshift-sti-build
%{_bindir}/origin
%{_sharedstatedir}/origin
%{_sysconfdir}/bash_completion.d/oadm
%{_sysconfdir}/bash_completion.d/openshift
%defattr(-,root,root,0700)
%dir %config(noreplace) %{_sysconfdir}/origin
%ghost %dir %config(noreplace) %{_sysconfdir}/origin
%ghost %config(noreplace) %{_sysconfdir}/origin/.config_managed
%{_mandir}/man1/oadm*
%{_mandir}/man1/openshift*

%pre
# If /etc/openshift exists and /etc/origin doesn't, symlink it to /etc/origin
if [ -d "%{_sysconfdir}/openshift" ]; then
  if ! [ -d "%{_sysconfdir}/origin"  ]; then
    ln -s %{_sysconfdir}/openshift %{_sysconfdir}/origin
  fi
fi
if [ -d "%{_sharedstatedir}/openshift" ]; then
  if ! [ -d "%{_sharedstatedir}/origin"  ]; then
    ln -s %{_sharedstatedir}/openshift %{_sharedstatedir}/origin
  fi
fi

%if 0%{build_tests}
%files tests
%{_libexecdir}/%{name}
%{_libexecdir}/%{name}/extended.test
%endif

%files master
%{_unitdir}/%{name}-master.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}-master
%defattr(-,root,root,0700)
%config(noreplace) %{_sysconfdir}/origin/master
%ghost %config(noreplace) %{_sysconfdir}/origin/admin.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/admin.key
%ghost %config(noreplace) %{_sysconfdir}/origin/admin.kubeconfig
%ghost %config(noreplace) %{_sysconfdir}/origin/ca.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/ca.key
%ghost %config(noreplace) %{_sysconfdir}/origin/ca.serial.txt
%ghost %config(noreplace) %{_sysconfdir}/origin/etcd.server.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/etcd.server.key
%ghost %config(noreplace) %{_sysconfdir}/origin/master-config.yaml
%ghost %config(noreplace) %{_sysconfdir}/origin/master.etcd-client.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/master.etcd-client.key
%ghost %config(noreplace) %{_sysconfdir}/origin/master.kubelet-client.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/master.kubelet-client.key
%ghost %config(noreplace) %{_sysconfdir}/origin/master.server.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/master.server.key
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-master.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-master.key
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-master.kubeconfig
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-registry.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-registry.key
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-registry.kubeconfig
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-router.crt
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-router.key
%ghost %config(noreplace) %{_sysconfdir}/origin/openshift-router.kubeconfig
%ghost %config(noreplace) %{_sysconfdir}/origin/policy.json
%ghost %config(noreplace) %{_sysconfdir}/origin/serviceaccounts.private.key
%ghost %config(noreplace) %{_sysconfdir}/origin/serviceaccounts.public.key
%ghost %config(noreplace) %{_sysconfdir}/origin/.config_managed

%post master
%systemd_post %{name}-master.service
# Create master config and certs if both do not exist
if [[ ! -e %{_sysconfdir}/origin/master/master-config.yaml &&
     ! -e %{_sysconfdir}/origin/master/ca.crt ]]; then
  %{_bindir}/openshift start master --write-config=%{_sysconfdir}/origin/master
  # Create node configs if they do not already exist
  if ! find %{_sysconfdir}/origin/ -type f -name "node-config.yaml" | grep -E "node-config.yaml"; then
    %{_bindir}/oadm create-node-config --node-dir=%{_sysconfdir}/origin/node/ --node=localhost --hostnames=localhost,127.0.0.1 --node-client-certificate-authority=%{_sysconfdir}/origin/master/ca.crt --signer-cert=%{_sysconfdir}/origin/master/ca.crt --signer-key=%{_sysconfdir}/origin/master/ca.key --signer-serial=%{_sysconfdir}/origin/master/ca.serial.txt --certificate-authority=%{_sysconfdir}/origin/master/ca.crt
  fi
  # Generate a marker file that indicates config and certs were RPM generated
  echo "# Config generated by RPM at "`date -u` > %{_sysconfdir}/origin/.config_managed
fi


%preun master
%systemd_preun %{name}-master.service

%postun master
%systemd_postun

%files node
%{_unitdir}/%{name}-node.service
%{_sysconfdir}/systemd/system.conf.d/origin-accounting.conf
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}-node
%defattr(-,root,root,0700)
%config(noreplace) %{_sysconfdir}/origin/node
%ghost %config(noreplace) %{_sysconfdir}/origin/node/node-config.yaml
%ghost %config(noreplace) %{_sysconfdir}/origin/.config_managed

%post node
%systemd_post %{name}-node.service
# If accounting is not currently enabled systemd reexec
if [[ `systemctl show docker %{name}-node | grep -q -e CPUAccounting=no -e MemoryAccounting=no; echo $?` == 0 ]]; then
  systemctl daemon-reexec
fi

%preun node
%systemd_preun %{name}-node.service

%postun node
%systemd_postun

%files sdn-ovs
%dir %{_unitdir}/%{name}-node.service.d/
%dir %{_sysconfdir}/cni/net.d
%dir /opt/cni/bin
%{_bindir}/openshift-sdn-ovs
%{_unitdir}/%{name}-node.service.d/openshift-sdn-ovs.conf
%{_sysconfdir}/cni/net.d/80-openshift-sdn.conf
/opt/cni/bin/*

%posttrans sdn-ovs
# This path was installed by older packages but the directory wasn't owned by
# RPM so we need to clean it up otherwise kubelet throws an error trying to
# load the directory as a plugin
if [ -d %{kube_plugin_path} ]; then
  rmdir %{kube_plugin_path}
fi

%files -n tuned-profiles-%{name}-node
%license LICENSE
%{_prefix}/lib/tuned/%{name}-node-host
%{_prefix}/lib/tuned/%{name}-node-guest
%{_mandir}/man7/tuned-profiles-%{name}-node.7*

%post -n tuned-profiles-%{name}-node
recommended=`/usr/sbin/tuned-adm recommend`
if [[ "${recommended}" =~ guest ]] ; then
  /usr/sbin/tuned-adm profile %{name}-node-guest > /dev/null 2>&1
else
  /usr/sbin/tuned-adm profile %{name}-node-host > /dev/null 2>&1
fi

%preun -n tuned-profiles-%{name}-node
# reset the tuned profile to the recommended profile
# $1 = 0 when we're being removed > 0 during upgrades
if [ "$1" = 0 ]; then
  recommended=`/usr/sbin/tuned-adm recommend`
  /usr/sbin/tuned-adm profile $recommended > /dev/null 2>&1
fi

%files clients
%license LICENSE
%{_bindir}/oc
%{_bindir}/kubectl
%{_sysconfdir}/bash_completion.d/oc
%{_mandir}/man1/oc*

%if 0%{?make_redistributable}
%files clients-redistributable
%dir %{_datadir}/%{name}/linux/
%dir %{_datadir}/%{name}/macosx/
%dir %{_datadir}/%{name}/windows/
%{_datadir}/%{name}/linux/oc
%{_datadir}/%{name}/macosx/oc
%{_datadir}/%{name}/windows/oc.exe
%endif

%files dockerregistry
%{_bindir}/dockerregistry

%files pod
%{_bindir}/pod

%files excluder
/usr/sbin/%{name}-excluder

%pretrans excluder
# we always want to clear this out using the last
#   versions script.  Otherwise excludes might get left in
if [ -s /usr/sbin/%{name}-excluder ] ; then
    /usr/sbin/%{name}-excluder unexclude
fi

%posttrans excluder
# we always want to run this after an install or update
/usr/sbin/%{name}-excluder exclude

%preun excluder
# If we are the last one, clean things up
if [ "$1" -eq 0 ] ; then
  /usr/sbin/%{name}-excluder unexclude
fi


%files docker-excluder
/usr/sbin/%{name}-docker-excluder

%pretrans docker-excluder
# we always want to clear this out using the last
#   versions script.  Otherwise excludes might get left in
if [ -s /usr/sbin/%{name}-docker-excluder ] ; then
    /usr/sbin/%{name}-docker-excluder unexclude
fi

%posttrans docker-excluder
# we always want to run this after an install or update
/usr/sbin/%{name}-docker-excluder exclude

%preun docker-excluder
# If we are the last one, clean things up
if [ "$1" -eq 0 ] ; then
    /usr/sbin/%{name}-docker-excluder unexclude
fi

%changelog
* Tue Apr 25 2017 Adam Miller <maxamillion@fedoraproject.org> - 1.5.0-1
- Update to latest upstream - 1.5.0

* Thu Feb 16 2017 Adam Miller <maxamillion@fedoraproject.org> - 1.4.1-1
- Update to latest upstream - 1.4.1

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan 23 2017 Adam Miller <maxamillion@fedoraproject.org> - 1.4.0-1
- Update to latest upstream - 1.4.0

* Tue Oct 25 2016 Adam Miller <maxamillion@fedoraproject.org> - 1.3.1-1
- Update to latest upstream - 1.3.1

* Fri Sep 16 2016 Adam Miller <maxamillion@fedoraproject.org> - 1.3.0-1
- Update to latest upstream - 1.3.0
- Rebase spec file on upstream spec

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2.git.0.2e62fab
- https://fedoraproject.org/wiki/Changes/golang1.7

* Fri Jun 17 2016 Adam Miller <maxamillion@fedoraproject.org- 1.2.0-1.git.0.2e62fab
- build on i686, %%{arm}, aarch64

* Thu Apr 21 2016 Dennis Gilmore <dennis@ausil.us> - 1.1.6-2.git.0.ef1caba
- build on i686, %%{arm}, aarch64

* Tue Apr 19 2016 Adam Miller <maxamillion@fedoraproject.org> - 1.1.6-1.git.0.ef1caba
- Update to latest upstream release

* Wed Mar 23 2016 Adam Miller <maxamillion@fedoraproject.org> - 1.1.4-1.git.0.3941102
- Update to latest upstream release

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-2.git.0.cffae05
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 17 2016 Adam Miller <maxamillion@fedoraproject.org> - 1.1.3-1.git.0.cffae05
- Update to latest upstream release

* Tue Feb 09 2016 Adam Miller <maxamillion@fedoraproject.org> - 1.1.1-1.git.0.86b5e46
- Update to latest upstream release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-5.git.0.ac7a99a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Dec 09 2015 Adam Miller <maxamillion@fedoraproject.org> - 1.1-4.git.0.ac7a99a
- Add iproute and procpc-ng Requires for sdn-ovs
- set .config_managed to %ghost and %config(noreplace)
- Fix dir ownership for redistributable clients
- Remove no longer needed basename reference

* Wed Dec 09 2015 Adam Miller <maxamillion@fedoraproject.org> - 1.1-3.git.0.ac7a99a
- Fix dir listing for kube_plugin_path

* Wed Dec 09 2015 Adam Miller <maxamillion@fedoraproject.org> - 1.1-2.git.0.ac7a99a
- Fix dir listing for sdn

* Wed Dec 09 2015 Adam Miller <maxamillion@fedoraproject.org> - 1.1-1.git.0.ac7a99a
- Remove no longer needed defattr
- Remove Obsoletes for package never in Fedora
- Remove upstream specific conditionals for el7aos dist tag

* Wed Dec 02 2015 Adam Miller <maxamillion@fedoraproject.org> - 1.1-0.git.0.ac7a99a
- First submission to Fedora

